package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.annotation.MainKey;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.aps.validator.InsertGroup;
import cn.estsh.i3plus.pojo.aps.validator.UpdateGroup;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :删除订单历史表
 * @Reference :
 * @Author : pantianhu
 * @CreateDate : 2022-07-13 11:03
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_DELETE_ORDER_HISTORY")
@Api("删除订单历史表")
@MainKey(groups = {InsertGroup.class, UpdateGroup.class})
public class DeleteOrderHistory extends BaseBean {
    @Column(name="TOP_ORDER")
    @ApiParam(value ="顶层订单号")
    private String topOrder;
}
