package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ClassLevelAnnotation;
import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :优先级
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-04-08
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_PRIORITY_TYPE")
@Api("优先级")
@ClassLevelAnnotation(level = 0)
public class PriorityType extends BaseAPS {
    private static final long serialVersionUID = 445577901076659576L;

    @Column(name="CODE")
    @ApiParam(value ="标识")
    @FieldAnnotation(mainkey = true, popSearch = true)
    private String code;

    @Column(name="VALUE")
    @ApiParam(value ="值")
    @FieldAnnotation(notEmpty = true, popSearch = true)
    private Integer value;
}
