package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/18 11:03
 * @Modify:
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("远程调用方法参数")
public class RequestModel implements Serializable {
    @ApiModelProperty("执行方法的key")
    private String methodHandlerKey;
    @ApiModelProperty("方法的入参")
    private Map<String, Object> jsonParamMap;
    @ApiModelProperty(value = "调用方法参数列表", allowEmptyValue = true)
    private Object[] jsonParamArray;
    @ApiModelProperty("日志id")
    private Long logId;
    @ApiModelProperty("方法类型-脚本-方法")
    private Integer type;
    @ApiModelProperty("脚本类型")
    private Integer scriptType;
    @ApiModelProperty("脚本内容")
    private String scriptContent;
    @ApiModelProperty("日志时间")
    private String logDateTimeParam;
    @ApiModelProperty("调用的超时时间")
    private Integer executorTimeout;
}
