package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : cdm报关单model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/16 11:27
 * @Modify:
 **/
@Data
public class CdmDocMovementDetailsReturnModel implements Serializable {

    @ApiParam("单据信息")
    private List<CdmDocMovementDetailsModel> cdmDocMovementDetailsModels;

    @ApiParam("分页信息")
    private Pager pager;


    public CdmDocMovementDetailsReturnModel(){}

    public CdmDocMovementDetailsReturnModel(List<CdmDocMovementDetailsModel> cdmDocMovementDetailsModels, Pager pager){
        this.cdmDocMovementDetailsModels= cdmDocMovementDetailsModels;
        this.pager = pager;
    }
}
