package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("30_总公司分送集报出入库单表头")
@Data
public class CdmExportTemplateThirtyModel {

    @ApiParam("经营企业名称")
    private String businessName;

    @ApiParam("经营企业编码")
    private String businessCode;

    @ApiParam("进出卡日期")
    private String cardEntryDate;

    @ApiParam("编号")
    private String orderNo;

    @ApiParam("申报表编号")
    private String returnNo;

    @ApiParam("账册编号")
    private String accountNumber;

    @ApiParam("出入库类型")
    private String inboundOutbounType;

    @ApiParam("关联出入库单编号")
    private String inboundOutbounCode;

    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @ApiParam("毛重")
    private String roughWeight;

    @ApiParam("净重")
    private String netWeight;

    @ApiParam("件数")
    private String number;

    @ApiParam("包装种类")
    private String packType;
}
