package cn.estsh.i3plus.pojo.cdm.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author puxiao.liao
 * @version 1.0
 * @date 2022-04-14 15:32
 **/
@Data
@ApiModel("表格title-MODEL")
public class CdmTableTitle implements Serializable {

    @ApiParam("工厂编码")
    private String organizeCode;

    @ApiParam("title编码")
    private String titleCode;

    @ApiParam("title描述")
    private String titleDesc;

    @ApiParam("模块")
    private Integer module;

    @ApiParam("序号")
    private Integer index;
}
