package cn.estsh.i3plus.pojo.cdm.util;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2018-10-23 15:53
 * @Modify:
 **/

public class CdmEnumUtil {

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CDM_EXCEL {
        CDM_ENUM(10, "cdmEnumExcelImportService", "字典信息"),
        SX_CDM_ELECTRONIC_LEDGER_PRODUCT_INFO(20, "sxCdmElectronicLedgerProductInfoExcelService", "电子账册产品信息库"),
        SX_CDM_PACKAGING_RELATIONSHIP(30, "sxCdmPackagingRelationshipExcelService", "包装关系"),
        SX_CDM_UNIT_CONVERSION(40, "sxCdmUnitConversionExcelService", "单位换算"),
        SX_CDM_DC_REPORT_NO_INFO(50, "sxCdmDcReportProductInfoExcelService", "分送集报申报产品信息"),
        CDM_CUSTOMS_LOGISTICS_OUT_MASTER(60, "sxCdmEquipmentAndLogisticsOutAreaExcelService", "物流产品及设备出区报关表头导入"),
        CDM_CUSTOMS_LOGISTICS_OUT_DETAIL(70, "sxCdmEquipmentAndLogisticsOutAreaDetailExcelService", "物流产品及设备出区报关表体导入"),
        CDM_CUSTOM_CHECKLIST(80,"cdmCustomCheckListService","海关暂存版核注清单"),
        SX_CDM_DC_REPORT_PRODUCT_INFO(90, "sxCdmDcReportNoInfoExcelService", "分送集报申报编号信息"),
        CDM_LIST_OF_IMPORT_BONDED_NOTES_SERVICE(100, "cdmListOfImportBondedNotesService", "进口保税核注清单"),
        CDM_FINAL_DECLARATION_DATA_SERVICE(110, "cdmFinalDeclarationDataService", "终审报关数据"),
        CDM_CUSTOM_DETAIL_PART(120, "sxCdmPartCustomDetailExcelService", "部品报关详情导入");

        private int value;
        private String service;
        private String description;

        CDM_EXCEL(int value, String service, String description) {
            this.value = value;
            this.service = service;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getService() {
            return this.service;
        }

        public String getDescription() {
            return this.description;
        }

        public static CdmEnumUtil.CDM_EXCEL getByValue(int value) {
            CdmEnumUtil.CDM_EXCEL[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                CdmEnumUtil.CDM_EXCEL excel = var1[var3];
                if (excel.getValue() == value) {
                    return excel;
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfService(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].service;
                }
            }

            return tmp;
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum TRUE_OR_FALSE {
        TRUE(1, "是"),
        FALSE(2, "否");

        private int value;
        private String description;

        private TRUE_OR_FALSE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 文件业务类型
     */
    public enum FILE_MODULE_TYPE {
        ABNORMAL(10, "异常联络单");

        private int value;
        private String description;

        private FILE_MODULE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 导出状态
     */
    public enum EXPORT_TASK_STATUS {
        CRATE(10, "创建"),
        HANDLEING(20, "处理中"),
        FINISH(30, "完成");

        private int value;
        private String description;

        private EXPORT_TASK_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 成功 or 失败
     */
    public enum SUCCESS_OR_FAILED {
        SUCCESS(10, "成功"),
        FAILED(20, "失败");

        private int value;
        private String description;

        private SUCCESS_OR_FAILED(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 报关单业务类型
     */
    public enum CUSTOMS_BUSI_TYPE {

        PART_PUT(10, "部品采购报关"),
        PART_OUT(20, "部品采购退货报关"),
        FINISHED_SHIPPING(30, "成品发运报关"),
        FINISHED_OVERSEAS(40, "成品海外调拨报关"),
        CUSTOMER_RETURN(50, "客户退回报关"),
        FINISHED_OVERSEAS_RETURN(60, "成品海外调拨退回报关"),
        LOGISTICS_PUT(70, "物流产品进口报关"),
        LOGISTICS_OUT(80, "物流产品出口报关"),
        EQUIPMENT_PUT(90, "设备进区报关"),
        EQUIPMENT_OUT(100, "设备出区报关"),
        EMPTY_CAR_PUT(110, "空车入区报关"),
        EMPTY_CAR_OUT(120, "空车出区报关");

        private int value;
        private String description;

        CUSTOMS_BUSI_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 报关类型
     */
    public enum  CUSTOMS_TYPE {

        CENTRALIZED_REPORT(10, "集报"),
        NOW_OFFER(20, "现报"),
        TAX_PAYMENT(30, "完税"),
        UNPAID_TAX(40, "未完税");

        private int value;
        private String description;

        CUSTOMS_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 公司级别
     */
    public enum COMPNAY_LEVEL {

        HEADQUARTERS(10, "总公司"),
        BRANCH_OFFICE(20, "分公司");

        private int value;
        private String description;

        COMPNAY_LEVEL(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 材料成品标志
     */
    public enum GOODS_TYPE {

        MATERIAL_SCIENCE(10, "料件"),
        FINISHED_PRODUCT(20, "成品");

        private int value;
        private String description;

        GOODS_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 上传状态
     */
    public enum UPLOAD {

        NOT_UPLOADED(10, "未上传"),
        UPLOADED(20, "已上传");

        private int value;
        private String description;

        UPLOAD(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 生成状态
     */
    public enum GENERATE {

        NOT_GENERATED(10, "未生成"),
        GENERATED(20, "已生成");

        private int value;
        private String description;

        GENERATE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 货物进出类型
     */
    public enum GOODS_PUT_OUT_TYPE {

        FIRST_LINE_PUT(10, "一线货物入区"),
        SECOND_LINE_PUT(20, "二线货物入区"),
        FIRST_LINE_OUT(30, "一线货物出区"),
        SECOND_LINE_OUT(40, "二线货物出区");

        private int value;
        private String description;

        GOODS_PUT_OUT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }


    /**
     * 车辆二维码入关申请
     */
    public enum CAR_QR_CODE_ENTRY_APPLICATION {

        DELIVERY_AND_PULLING(10, "送货和拉货"),
        DELIVERY(20, "送货"),
        PULLING(30, "拉货");

        private int value;
        private String description;

        CAR_QR_CODE_ENTRY_APPLICATION(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 车辆进出类型
     */
    public enum CAR_PUT_OUT_TYPE {

        DELIVERY(10, "送货"),
        SALES_RETURN(20, "退货"),
        EMPTY_CAR_PUT(30, "空车入区"),
        EMPTY_CAR_OUT(40, "空车出区");

        private int value;
        private String description;

        CAR_PUT_OUT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 送货车次
     */
    public enum DELIVERY_TRAIN_NUMBER {

        ONE(10, "1"),
        TWO(20, "2"),
        THREE(30, "3");

        private int value;
        private String description;

        DELIVERY_TRAIN_NUMBER(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 运输方式（字典维护）
     */
//    public enum SHIPPING_TYPE {
//
//        WATERWAY(10, "水路运输"),
//        HIGHWAY(20, "公路运输"),
//        AVIATION(30, "航空运输"),
//        OTHER(40, "其他运输");
//
//        private int value;
//        private String description;
//
//        SHIPPING_TYPE(int value, String description) {
//            this.value = value;
//            this.description = description;
//        }
//
//        public int getValue() {
//            return this.value;
//        }
//
//        public String getDescription() {
//            return this.description;
//        }
//
//        public static String valueOfDescription(int val) {
//            String tmp = null;
//
//            for (int i = 0; i < values().length; ++i) {
//                if (values()[i].value == val) {
//                    tmp = values()[i].description;
//                }
//            }
//
//            return tmp;
//        }
//
//        public static Integer descriptionOfValue(String description) {
//            Integer tmp = null;
//            for (int i = 0; i < values().length; ++i) {
//                if (values()[i].description.equals(description)) {
//                    tmp = values()[i].value;
//                }
//            }
//            return tmp;
//        }
//    }

    /**
     * 原产国（字典维护）
     */
    public enum ORIGIN_COUNTRY {

        CHINA(10, "中国"),
        JAPAN(20, "日本");

        private int value;
        private String description;

        ORIGIN_COUNTRY(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 包装类型（字典维护）
     */
    public enum PACKAGE_TYPE {

        CARTON(10, "纸箱");

        private int value;
        private String description;

        PACKAGE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 贸易类型
     */
    public enum TRADE_TYPE {

        GENERAL_TRADE(10, "一般贸易"),
        IMPROVEMENT_TRADE(20, "加工贸易");

        private int value;
        private String description;

        TRADE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 部品货物入库报关单据类型
     */
    public enum CUSTOMS_PART_PUT_REF_ORDER_TYPE {

        PO(10, "PO"),
        MOVE(20, "MOVE");

        private int value;
        private String description;

        CUSTOMS_PART_PUT_REF_ORDER_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 部品货物入库报关单据类型
     */
    public enum GOODS_FLOW_DIRECTION {

        ENTRANCE_REGION(10, "入区"),
        EXIT_REGION(20, "出区");

        private int value;
        private String description;

        GOODS_FLOW_DIRECTION(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }


    /**
     * 集装箱类型
     */
    public enum CONTAINER_TYPE {

        GP20(10, "20GP"),
        GP40(20, "40GP"),
        HQ40(30,"40HQ");

        private int value;
        private String description;

        CONTAINER_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //报关状态
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum DECLARE_STATUS {
        UNDECLARE(10, "未报关"),
        DECLARE(20, "已报关");

        private int value;
        private String description;

        DECLARE_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static DECLARE_STATUS codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }


    public static enum CDM_PART_TYPE_STR {
        RAW_MATERIAL(10, "原材料"),
        PARTIALLY_PREPARED_PRODUCTS(20, "半成品"),
        FINISHED_PRODUCT(30, "成品"),
        CONTAINER_PRODUCT(40, "容器"),
        UTENSIL(50, "器具");

        private Integer value;
        private String description;

        private CDM_PART_TYPE_STR(Integer value, String description) {
            this.value = value;
            this.description = description;
        }

        public Integer getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String val) {
            Integer tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(val)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CDM_EXPORT_MODULE {
        CDM_ENUM(10, "字典信息"),
        CUSTOMER_SHPING(20, "110_发票"),
        EMPTY_10(30, "10_空车出入库");

        private int value;
        private String description;

        CDM_EXPORT_MODULE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }


        public String getDescription() {
            return this.description;
        }

        public static CdmEnumUtil.CDM_EXPORT_MODULE getByValue(int value) {
            CdmEnumUtil.CDM_EXPORT_MODULE[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                CdmEnumUtil.CDM_EXPORT_MODULE module = var1[var3];
                if (module.getValue() == value) {
                    return module;
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfService(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 字典
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CDM_DICTIONARY_TYPE {
        PORT_DICTIONARY("PORT_DICTIONARY","港口"),
        PAY_TYPE_DICTIONARY("PAY_TYPE_DICTIONARY","付款方式"),
        PRODUCT_GROUP_DICTIONARY("PRODUCT_GROUP_DICTIONARY","产品组(物料主数据线别)"),
        PAYMENT_DICTIONARY("PAYMENT_DICTIONARY","成交方式"),
        MEASURE_UNIT_DICTIONARY("MEASURE_UNIT_DICTIONARY","计量单位"),
        CURRENCY_SYSTEM_DICTIONARY("CURRENCY_SYSTEM_DICTIONARY","币制"),
        PACKAGE_TYPE_DICTIONARY("PACKAGE_TYPE_DICTIONARY","包装类型"),
        SHIPPING_TYPE("SHIPPING_TYPE","运输方式"),
        ORIGIN_COUNTRY("ORIGIN_COUNTRY","原产国"),
        SHIP_COMPNAY_DICTIONARY("SHIP_COMPNAY_DICTIONARY","船公司");


        private String value;
        private String description;

        CDM_DICTIONARY_TYPE(String value,String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }


        public String getDescription() {
            return this.description;
        }

        public static CdmEnumUtil.CDM_DICTIONARY_TYPE getByValue(int value) {
            CdmEnumUtil.CDM_DICTIONARY_TYPE[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                CdmEnumUtil.CDM_DICTIONARY_TYPE module = var1[var3];
                if (module.getValue().equals( value)) {
                    return module;
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals( val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfService(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals( val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 核对类型
     */
    public enum CHECK_TYPE {

        TEMP(10, "暂存核注清单"),
        FINALLY(20, "终审核对清单");

        private int value;
        private String description;

        CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 绑定类型
     */
    public enum BIND_TYPE {

        ONE_CAR_ONE_TICKET(10, "一车一票"),
        ONE_CAR_MULTIPLE_TICKET(20, "一车多票");

        private int value;
        private String description;

        BIND_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 报关模式
     */
    public enum CUSTOMS_MODE {

        LOGISTICS(10, "物流"),
        EQUIPMENT(20, "设备");

        private int value;
        private String description;

        CUSTOMS_MODE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 报关状态
     */
    public enum IS_DECLARED {

        NOT_DECLARED(10, "未报关"),
        DECLARED_ING(20, "报关中"),
        IS_DECLARED(30, "已报关");

        private int value;
        private String description;

        IS_DECLARED(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //0 标准  2 支给  3 寄售
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum PURCHASE_CATEGORY {
        STANDARD("0", "标准"),
        DEFRAY("2", "支给"),
        CONSIGNMENT("3", "寄售");
        private String value;
        private String description;

        private PURCHASE_CATEGORY(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

    }

    //暂存核对状态
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum TEMPORARY_HOLD_CHECK_STATUS{
        CHECKED_OFF(1, "已核对"),
        OUT_OF_CHECK(2, "未核对");
        private Integer value;
        private String description;

        private TEMPORARY_HOLD_CHECK_STATUS(Integer value, String description) {
            this.value = value;
            this.description = description;
        }

        public Integer getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

    }

    //暂存核对是否认可
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum HOLD_FOR_CONFIRMATION{
        HAVE_BEEN_APPROVED(1, "已认可"),
        NOT_APPROVED(2, "未认可");
        private Integer value;
        private String description;

        private HOLD_FOR_CONFIRMATION(Integer value, String description) {
            this.value = value;
            this.description = description;
        }

        public Integer getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

    }

    //报关类型
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum TYPE_OF_DECLARATION{
        NOW_OFFER(10, "现报"),
        CENTRALIZED_DECLARATION(20, "集报");
        private Integer value;
        private String description;

        private TYPE_OF_DECLARATION(Integer value, String description) {
            this.value = value;
            this.description = description;
        }

        public Integer getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

    }

}
