package cn.estsh.i3plus.pojo.eam.common;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @author Jason
 * @ClassName: COMMON_FIELD_TYPE
 * @Description: TODO(这里用一句话描述这个类的作用)
 * @date 2022-03-22
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum COMMON_FIELD_TYPE {
    NONE("NONE", "未知"),
    BOOLEAN("BOOLEAN", "布尔"),
    CHAR("CHAR", "字符"),
    SHORT("SHORT", "短整型"),
    INTEGER("INTEGER", "整型"),
    LONG("LONG", "长整型"),
    DOUBLE("DOUBLE", "浮点型"),
    DATE("DATE", "日期类型(2019-09-16)"),
    TIME("TIME", "时间类型(17:35:30)"),
    DATE_TIME("DATE_TIME", "日期时间类型(2019-09-16 17:35:30)"),
    DURATION("DURATION", "时间段(1H)"),
    ENUM("ENUM", "枚举"),
    MULTI_ENUM("MULTI_ENUM", "多选枚举"),
    DYNAMIC_ENUM("DYNAMIC_ENUM", "自定义枚举"),
    STRING("STRING", "字符串"),
    OBJECT("OBJECT", "关联对象，下来选择关联对象的Code值"),
    LIST("LIST", "对象集合，不可编辑。");

    private final String value;
    private final String description;

    private COMMON_FIELD_TYPE(String value, String description) {
        this.value = value;
        this.description = description;
    }

    public String getValue() {
        return this.value;
    }

    public String getDescription() {
        return this.description;
    }
}
