package cn.estsh.i3plus.pojo.eam.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description:
 * @CreateDate 2022/4/19 9:23
 * @Author 尹肖
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcludeImportExport {
    boolean excludeImport() default true;

    boolean excludeExport() default true;
}

