package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.eam.pojo.EamDocDetails;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description :
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-06-02 14:21
 * @Modify:
 **/
@Data
public class EamDocDetailsModel extends EamDocDetails {

    @Transient
    @ApiParam(value = "计划日期")
    private String planDate;

    @Transient
    @ApiParam(value = "计划时间")
    private String planTime;

    @Transient
    @ApiParam(value = "部门")
    private String deptName;

    @Transient
    @ApiParam(value = "故障现象")
    private String falutShow;

    @Transient
    @ApiParam(value = "整体结果")
    private String result;

    @Transient
    @ApiParam(value = "责任人")
    private String resUser;

    @Transient
    @ApiParam(value = "金额")
    private Double prlce;

    @Transient
    @ApiParam(value = "是否检查机")
    private Boolean isIspectTool;

    @Transient
    @ApiParam(value = "生产线编码")
    private String workcenter;

    public EamDocDetailsModel() {
    }

    public EamDocDetailsModel(EamDocDetailsModel model) {

        this.busiType = model.getBusiType();
        this.equCode = model.getEquCode();
        this.equName = model.getEquName();
        this.opItemCode = model.getOpItemCode();
        this.opItemResult = model.getOpItemResult();
        this.maintainVendor = model.getMaintainVendor();
        this.stand = model.getStand();
        this.itmeDesc = model.getItmeDesc();
        this.opItemRemark = model.getOpItemRemark();
        this.remark = model.getRemark();
        this.type = model.getType();
        this.content = model.getContent();
        this.method = model.getMethod();
        this.picture = model.getPicture();
        this.area = model.getArea();
        this.partGroup = model.getPartGroup();
        this.partNo = model.getPartNo();
        this.partName = model.getPartName();
        this.moveQty = model.getMoveQty();
        this.srcQty = model.getSrcQty();
        this.planDate = model.getPlanDate();
        this.planTime = model.getPlanTime();
        this.deptName = model.getDeptName();
        this.falutShow = model.getFalutShow();
        this.result = model.getResult();
        this.resUser = model.getResUser();
        this.prlce = model.getPrlce();
        this.isIspectTool = model.getIsIspectTool();
        this.workcenter = model.getWorkcenter();
    }
}
