package cn.estsh.i3plus.pojo.eam.model;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @CreateDate 2022/4/29 20:36
 * @Author 尹肖
 */
@Data
public class EamDocMasterPrintModel {

    @Data
    public static class Details {
        @ApiParam(value = "项目内容")
        private String itemName;

        @ApiParam(value = "性质")
        private String itmeDesc;

        @ApiModelProperty(name = "实施要领")
        private String method;

        @ApiParam(value = "标准")
        private String stand;

        @ApiModelProperty(name = "周期")
        private String date;
    }

    @ApiParam(name = "部门")
    private String deptName;

    @ApiModelProperty(name = "设备名称")
    private String equName;

    @ApiModelProperty(name = "设备编码")
    private String equCode;

    @ApiParam(name = "详细数据")
    private List<Details> details = new ArrayList<>();

}
