package cn.estsh.i3plus.pojo.eam.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Api("设备管理看板-故障次数统计model")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EamKanbanDocFaultCountModel {

    @ApiParam(value = "保管区域")
    private String manageArea;

    @ApiParam("数量")
    private Integer count = 0;

    @ApiParam("占比")
    private String proportion;

    @ApiParam("颜色")
    private String color;
}
