package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :静态库存表model
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-22 12:00
 * @Modify:
 **/
@Data
public class EamStaticStockModel extends BaseBean {

    @ApiParam(value = "操作类型")
    String moveType;

    @ApiParam(value = "当前4月1号")
    private String nowApril;

    @ApiParam(value = "上个月最后一天")
    private String lastMonthLastDay;

    @ApiParam(value = "上个月第一天")
    private String lastMonthFristDay;

    @ApiParam(value = "备品备件管理编码")
    private String partNo;

    @ApiParam(value = "汇总出入数量")
    private Double sumMoveQty;

    public EamStaticStockModel() {
    }

    public EamStaticStockModel(String partNo, Double sumMoveQty) {
        this.partNo = partNo;
        this.sumMoveQty = sumMoveQty;
    }
}
