package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :设备台账状态汇总看板model
 * @Reference :
 * @Author : gsz
 * @CreateDate : 2022-06-08 16:20
 * @Modify:
 **/
@Data
public class EquipmentLedgerStatusModel extends BaseBean {

    /**
     * 【设备台账】菜单中的启用状态的设备数量汇总
     */
    @ApiParam(value = "设备个数")
    public String equipmentNum;

    /**
     * 取【设备台账】菜单中启用的设备类型，去重汇总
     */
    @ApiParam(value = "种类个数")
    public Integer typeNum;

    /**
     * 取【设备台账】菜单中“是否检查机/检具”为“是”，且启用状态的数据汇总
     */
    @ApiParam(value = "治具/检具个数")
    public String jinNum;

}
