package cn.estsh.i3plus.pojo.eam.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("安灯设备model")
public class SxEquipmentModel implements Serializable {

    private static final long serialVersionUID = 5873059604861311898L;

    @ApiParam("设备编码")
    private String equCode;

    @ApiParam(value = "设备名称")
    private String equName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid = 1;

    @ApiParam("是否已删除")
    private Integer isDeleted = 2;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
