package cn.estsh.i3plus.pojo.eam.pojo.ext;

import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description:
 * @CreateDate 2022/4/7 13:35
 * @Author 尹肖
 */
@Data
public class EquipmentExt implements Serializable {

    @Column(name = "EQU_CODE")
    @ApiParam(value = "资产编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String equCode;

    @Column(name = "EQU_CLASS")
    @ApiParam(value = "设备大类")
    @FieldAnnotation(popSearch = true)
    private String equClass;

    @Column(name = "WORK_UNIT")
    @ApiParam(value = "工位代码")
    @FieldAnnotation(popSearch = true)
    private String workUnit;

    @Column(name = "PURCHASE_DATE")
    @ApiParam(value = "采购时间")
    @FieldAnnotation(popSearch = true)
    private String purchaseDate;

    @Column(name = "MODEL")
    @ApiParam(value = "型号")
    @FieldAnnotation(popSearch = true)
    private String model;

    @Column(name = "EQU_NATURE")
    @ApiParam(value = "性质")
    @FieldAnnotation(popSearch = true)
    private String equNature;

    @Column(name = "ENABLE_TIME")
    @ApiParam(value = "启动时间")
    @FieldAnnotation(popSearch = true)
    private String enableTime;

    @Column(name = "IS_ISPECT_TOOL")
    @ApiParam(value = "是否检具")
    @FieldAnnotation(popSearch = true)
    private String isIspectTool;

    @Column(name = "EQU_PRICE")
    @ApiParam(value = "资产价值")
    @FieldAnnotation(popSearch = true)
    private String equPrice;
}
