package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\15 15:58
 * @Modify:
 **/
@Data
public class SysUserOfflineModel implements Serializable {


    @ApiParam("人员ID")
    private Long userId;

    @ApiParam("用户编号")
    private String userCode;

    @ApiParam("用户名称")
    private String userName;

    @ApiParam("登陆名称")
    private String loginName;

    @ApiParam("组织代码")
    public String organizeCode;

    public SysUserOfflineModel() {}

    public SysUserOfflineModel(Long userId, String userCode, String userName, String loginName, String organizeCode) {
        this.userId = userId;
        this.userCode = userCode;
        this.userName = userName;
        this.loginName = loginName;
        this.organizeCode = organizeCode;
    }
}
