package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:52
 */
@Data
@NoArgsConstructor
@ApiModel("对账单查询model")
public class ReconciliaDetailSummaryResultModel implements Serializable {
    @ApiModelProperty(name = "物料编号")
    private String partNo;


    @ApiModelProperty(name = "库存地编号")
    private String areaNo;

    @ApiModelProperty(name = "来源存储区")
    private String srcZoneNo;

    @ApiModelProperty(name = "目标存储区")
    private String destZoneNo;

    @ApiModelProperty(name = "业务类型")
    private Integer busiTypeCode;


    @ApiModelProperty(name = "单据状态")
    public Integer orderStatus;

    @ApiModelProperty(name = "需求数量")
    private Double demandQty;

    @ApiModelProperty(name = "处理数量")
    private Double handleQty;

    @ApiModelProperty(name = "操作时间")
    private String actionDateTime;

    @ApiModelProperty(name = "创建时间")
    private String createDateTime;

    @ApiModelProperty(name = "关联单号")
    public String refSrc;


    @ApiModelProperty(name = "订单号")
    public String orderNo;


    public ReconciliaDetailSummaryResultModel(String partNo,String srcZoneNo,String destZoneNo,Integer busiTypeCode,Integer orderStatus,String refSrc,String orderNo){
        this.partNo = partNo;
        this.srcZoneNo = srcZoneNo;
        this.destZoneNo = destZoneNo;
        this.busiTypeCode = busiTypeCode;
        this.orderStatus = orderStatus;
        this.refSrc = refSrc;
        this.orderNo = orderNo;
    }

    public ReconciliaDetailSummaryResultModel(Double demandQty){
        this.demandQty = demandQty;
    }

    public ReconciliaDetailSummaryResultModel(String partNo,String srcZoneNo,String destZoneNo,Integer busiTypeCode,Integer orderStatus,String orderNo,Double handleQty){
        this.partNo = partNo;
        this.srcZoneNo = srcZoneNo;
        this.destZoneNo = destZoneNo;
        this.busiTypeCode = busiTypeCode;
        this.orderStatus = orderStatus;
        this.orderNo = orderNo;
        this.handleQty = handleQty;
    }
    public ReconciliaDetailSummaryResultModel(String partNo,String areaNo, String srcZoneNo,String destZoneNo,Integer busiTypeCode,Integer orderStatus,Double demandQty, Double handleQty){
        this.partNo = partNo;
        this.areaNo = areaNo;
        this.srcZoneNo = srcZoneNo;
        this.destZoneNo = destZoneNo;
        this.busiTypeCode = busiTypeCode;
        this.orderStatus = orderStatus;
        this.demandQty = demandQty;
        this.handleQty = handleQty;
    }

    public ReconciliaDetailSummaryResultModel(String partNo, String srcZoneNo,String destZoneNo,Integer busiTypeCode,Integer orderStatus,Double demandQty, Double handleQty){
        this.partNo = partNo;
        this.areaNo = areaNo;
        this.srcZoneNo = srcZoneNo;
        this.destZoneNo = destZoneNo;
        this.busiTypeCode = busiTypeCode;
        this.orderStatus = orderStatus;
        this.demandQty = demandQty;
        this.handleQty = handleQty;
    }



}
