package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:52
 */
@Data
@ApiModel("对账单汇总结果model")
public class ReconciliaSummayResultModel implements Serializable {

    @ApiModelProperty(name = "物料编号")
    private String partNo;

    @ApiModelProperty(name = "仓库编号")
    private String whNo;

    @ApiModelProperty(name = "库存地编号")
    private String zoneNo;

    @ApiModelProperty(name = "wms初始库存")
    private Double wmsInitialQty;

    @ApiModelProperty(name = "sap初始库存")
    private Double sapInitialQty;


    @ApiModelProperty(name = "wms可用数量")
    private Double wmsQty;

    @ApiModelProperty(name = "wmsCOGI")
    private Double wmsCOGI;

    @ApiModelProperty(name = "sap可用数量")
    private Double sapQty;


    @ApiModelProperty(name = "sapCOGI")
    private Double sapCOGI;

    @ApiModelProperty(name = "差异")
    private Double stockDifference;
}
