package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 作业流程导入Model
 * @Reference
 * @Author dragon
 * @CreateDate 2019/12/10 11:26
 * @Modify
 */
@Data
@Api("作业流程导入Model")
public class WmsAgImportModel implements Serializable {
    private static final long serialVersionUID = 5322363872992177667L;
    @ApiParam("流程集合")
    public List<WmsActionGroup> agList;
    @ApiParam("流程明细集合")
    List<WmsActionGroupDetails> agdList;
    @ApiParam("步骤调用参数集合")
    List<WmsActionStepCallParam> ascpList;
    @ApiParam("作业步骤集合")
    List<WmsActionStep> asList;
    @ApiParam("作业步骤调用集合")
    List<WmsActionStepCall> ascList;
    @ApiParam("作业组件集合")
    List<WmsActionModule> amList;
    @ApiParam("作业组件参数集合")
    List<WmsActionModuleParam> ampList;
    @ApiParam("作业步骤参数类型集合")
    List<WmsActionStepType> astList;
    @ApiParam("作业脚本参数集合")
    List<EngineScriptPersistence> scriptList;
    @ApiParam("工厂代码")
    public String organizeCode;
    @ApiParam("是否覆盖")
    public Integer isConvert;
    @ApiParam("用户名")
    public String userName;
}
