package cn.estsh.i3plus.pojo.qms.annotation;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Api("EXCEL导入字段")
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcelColumn {
    @ApiParam("对应的Excel列")
    int corresExcelColumn() default -1;
    @ApiParam("自定义逻辑获取")
    boolean customLogicGet() default false;
    @ApiParam("自定义逻辑为公共方法")
    boolean customLogicGetCommon() default false;
    @ApiParam("自定义逻辑校验")
    boolean customLogicCheck() default false;
    @ApiParam("自定义逻辑校验为公共方法")
    boolean customLogicCheckCommon() default false;
}
