package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2022/6/1 11:03
 * @Modify:
 **/
@Data
public class MesWorkCenterModel {

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("ERP工作中心")
    private String erpWorkCenter;

    @ApiParam("工作版本")
    private String workVer;

    @ApiParam("生产区域代码")
    private String areaCode;

    @ApiParam("运行状态")
    private String runningStatus;

    @ApiParam("产能")
    private Integer productionCapacity;

    @ApiParam("条码生成模式")
    private Integer generateType;

    // 10=工单作业，20=标准作业
    @ApiParam("工位监控模式")
    private Integer monitorType;

    @ApiParam("节拍")
    private Integer planTakt;

    @ApiParam("序号")
    private Integer seq;

    @ApiParam("是否需要设备自动报警")
    private Integer isEquMonitor;

    @ApiParam("是否临时开线")
    private Integer isTemporary = 2;
}
