package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2022/6/1 11:05
 * @Modify:
 **/
@Data
public class MesWorkOrderModel {

    @ApiParam(value = "工厂代码")
    public String organizeCode;

    @ApiParam(value = "系统同步标志")
    public Integer systemSyncStatus = 2;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产品配置代码")
    private String prodCfgCode;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("返修数量")
    private Double repairQty;

    @ApiParam("报废数量")
    private Double scrapQty;

    @ApiParam("工单序号")
    private Double seq;

    @ApiParam("工单状态")
    private Integer workOrderStatus;

    @ApiParam("是否投料")
    private Integer isPull = 1;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("下一工单")
    private String nextOrder;

    @ApiParam("生产计划单号")
    private String planOrderNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("排产日期")
    private String scheduleDate;

    @ApiParam("客户产线代码")
    private String custProdLineCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("工单来源")
    private String workOrderSource;

    @ApiParam("备注")
    private String memo;

    @ApiParam("班组")
    private String shiftGroup;

    @ApiParam("审批状态")
    private Integer approvalStatus;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户订单号")
    private String custOrderNo;

    @ApiParam("首检数量")
    private Double fiQty;

    @ApiParam("首检完成数量")
    private Double fiCompleteQty;

    @ApiParam("首检生成数量")
    private Double fiGenerateQty;

    @ApiParam("父阶物料号")
    private String parentPartNo;

    @ApiParam("打印状态")
    private Integer printStatus;

    @ApiParam("排序序号")
    private String sortSeq;
}
