package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-01 17:09
 */
@Data
@ApiModel("客诉不良年度汇总MODEL")
public class SxCustomerComplainDefectModel implements Serializable {

    private static final long serialVersionUID = -7325785891694644797L;

    @ApiParam("年份")
    private String year;

    @ApiParam("项目")
    private String project;

    @ApiParam("合计")
    private String total = "0";

    @ApiParam("四月份")
    private String valueApr = "0";

    @ApiParam("五月份")
    private String valueMay = "0";

    @ApiParam("六月份")
    private String valueJun = "0";

    @ApiParam("七月份")
    private String valueJul = "0";

    @ApiParam("八月份")
    private String valueAug = "0";

    @ApiParam("九月份")
    private String valueSep = "0";

    @ApiParam("十月份")
    private String valueOct = "0";

    @ApiParam("十一月份")
    private String valueNov = "0";

    @ApiParam("十二月份")
    private String valueDec = "0";

    @ApiParam("一月份")
    private String valueJan = "0";

    @ApiParam("二月份")
    private String valueFeb = "0";

    @ApiParam("三月份")
    private String valueMar = "0";

    public SxCustomerComplainDefectModel(String year, String project, String valueApr, String valueMay, String valueJun, String valueJul, String valueAug, String valueSep, String valueOct, String valueNov, String valueDec, String valueJan, String valueFeb, String valueMar) {
        this.year = year;
        this.project = project;
        this.valueApr = valueApr;
        this.valueMay = valueMay;
        this.valueJun = valueJun;
        this.valueJul = valueJul;
        this.valueAug = valueAug;
        this.valueSep = valueSep;
        this.valueOct = valueOct;
        this.valueNov = valueNov;
        this.valueDec = valueDec;
        this.valueJan = valueJan;
        this.valueFeb = valueFeb;
        this.valueMar = valueMar;
    }

    public SxCustomerComplainDefectModel() {
    }
}
