package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("缺陷信息MODEL")
public class SxDefectModel implements Serializable {

    private static final long serialVersionUID = -7182135144843839666L;

    @ApiParam("ID")
    private Long id;
    @ApiParam("缺陷代码")
    private String defectCode;
    @ApiParam("缺陷名称")
    private String defectName;
    @ApiParam("缺陷类型")
    private String defectType;
    @ApiParam("缺陷类型名称")
    private String defectTypeName;
    @ApiParam("缺陷位置")
    private String defectLocation;
    @ApiParam("缺陷类型子集")
    private List<SxDefectModel> mesDefectList;

    public SxDefectModel() {
    }

    public SxDefectModel(Long id, String defectCode, String defectName, String defectType, String defectTypeName) {
        this.id = id;
        this.defectCode = defectCode;
        this.defectName = defectName;
        this.defectType = defectType;
        this.defectTypeName = defectTypeName;
    }

}
