package cn.estsh.i3plus.pojo.qms.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :不良率目标表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Api("不良率目标表")
public class SxDefectRateTargetModel implements Serializable {

    private static final long serialVersionUID = 4950407875591740228L;

    @ApiParam("id")
    private Long id;

    @ApiParam("目标类型")
    private String targetType;

    @ApiParam("目标类型名称")
    private String targetTypeName;

    @ApiParam("数据类型")
    private Integer dataType;

    @ApiParam("数据类型名称")
    private String dataTypeName;

    @ApiParam("数据值")
    private String dataValue;

    @ApiParam("目标年月")
    private String targetTime;

    @ApiParam("目标值")
    private String targetValue;

    @ApiParam("工厂")
    public String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("创建日期开始区间")
    private String createDatetimeStart;

    @ApiParam("创建日期结束区间")
    private String createDatetimeEnd;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("目标年月起始")
    private String targetTimeStart;

    @ApiParam("目标年月截止")
    private String targetTimeEnd;

    public SxDefectRateTargetModel() {}

    public SxDefectRateTargetModel(String organizeCode, Integer dataType, String dataValue, String targetType, String targetTimeStart, String targetTimeEnd) {
        this.organizeCode = organizeCode;
        this.dataType = dataType;
        this.dataValue = dataValue;
        this.targetType = targetType;
        this.targetTimeStart = targetTimeStart;
        this.targetTimeEnd = targetTimeEnd;
    }
}
