package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("动态属性model")
public class SxDynamicAttributeModel implements Serializable {

    private static final long serialVersionUID = 6119313400148051654L;

    @ApiParam("字段名称")
    private String fieldName;

    @ApiParam("字段代码")
    private String fieldCode;

    public SxDynamicAttributeModel() {}

    public SxDynamicAttributeModel(String fieldName, String fieldCode) {
        this.fieldName = fieldName;
        this.fieldCode = fieldCode;
    }
}
