package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-14 13:02
 */
@Data
@ApiModel("EP到货不良统计MODEL")
public class SxEpAOGDefectCountsModel implements Serializable {
    private static final long serialVersionUID = -5192887679694641299L;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("生产线名称")
    private String workCenterName;

    @ApiParam("去年当月数量")
    private Double lastMonthQty = 0.0;

    @ApiParam("当年当月数量")
    private Double curMonthQty = 0.0;

    @ApiParam("去年数量")
    private Double lastYearQty = 0.0;

    @ApiParam("当年数量")
    private Double curYearQty = 0.0;

    public SxEpAOGDefectCountsModel(String workCenterCode, String workCenterName, Double lastMonthQty, Double curMonthQty, Double lastYearQty, Double curYearQty) {
        this.workCenterCode = workCenterCode;
        this.workCenterName = workCenterName;
        this.lastMonthQty = lastMonthQty;
        this.curMonthQty = curMonthQty;
        this.lastYearQty = lastYearQty;
        this.curYearQty = curYearQty;
    }

    public SxEpAOGDefectCountsModel() {
    }
}
