package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP柱状图不良点描述统计报表明细MODEL")
public class SxEpBarChartStatisticsDetailModel implements Serializable {

    private static final long serialVersionUID = -2248459442536385249L;

    @ApiParam("项目分类")
    private String projectCode;

    @ApiParam("项目分类名称")
    private String projectName;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("当前年度不良数量")
    private Integer curYearBadQty;

    @ApiParam("前一年度不良数量")
    private Integer lastYearBadQty;

}
