package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP客诉不良统计参数MODEL")
public class SxEpCustomerComplaintBadStatisticsParamModel implements Serializable {

    private static final long serialVersionUID = -7878840936850396713L;
    @ApiParam("机种编码")
    private String categoryCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("机种编码")
    private String categoryCodeName;

    @ApiParam("生产线")
    private String workCenterName;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("查询:年份")
    private String year;

}
