package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-18 11:09
 */
@Data
@ApiModel("EP客诉不良点统计MODEL")
public class SxEpCustomerComplaintBadnessModel implements Serializable {
    private static final long serialVersionUID = 5257636147893052276L;

    @ApiParam("不良点描述")
    private String badnessCode;

    @ApiParam("时间")
    private String modifyDatetime;

    public SxEpCustomerComplaintBadnessModel(String badnessCode, String modifyDatetime) {
        this.badnessCode = badnessCode;
        this.modifyDatetime = modifyDatetime;
    }

    public SxEpCustomerComplaintBadnessModel() {
    }
}
