package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP工程不良分类统计月报日报MODEL")
public class SxEpEngineeringBadClassifyStatisticsModel implements Serializable {

    private static final long serialVersionUID = 6156774232599081029L;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList;

    @ApiParam("table数据")
    private List<Map<String, String>> dataList;

    public SxEpEngineeringBadClassifyStatisticsModel() {}

    public SxEpEngineeringBadClassifyStatisticsModel(List<SxDynamicAttributeModel> attributeList) {
        this.attributeList = attributeList;
    }
}
