package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-14 13:02
 */
@Data
@ApiModel("EP到货不良统计MODEL")
public class SxEpProductBatchesDefectCountsModel implements Serializable {
    private static final long serialVersionUID = -5192887679694641299L;

    @ApiParam("产品类型")
    private String productType;

    @ApiParam("去年当月总数量")
    private Double lastMonthManQcCounts;

    @ApiParam("当年当月不良数量")
    private Double curMonthManQcCounts;

    @ApiParam("去年当月不良数量")
    private Double lastMonthNcCounts;

    @ApiParam("当年当月不良数量")
    private Double curMonthNcCounts;

    @ApiParam("当年当月不良数量")
    private Double lastYearManQcCounts;

    @ApiParam("当年总数量")
    private Double curYearManQcCounts;

    @ApiParam("去年不良总数量")
    private Double lastYearNcCounts;

    @ApiParam("当年不良数量")
    private Double curYearNcCounts;

    public SxEpProductBatchesDefectCountsModel(String productType, Double lastMonthManQcCounts, Double curMonthManQcCounts, Double lastMonthNcCounts, Double curMonthNcCounts, Double lastYearManQcCounts, Double curYearManQcCounts, Double lastYearNcCounts, Double curYearNcCounts) {
        this.productType = productType;
        this.lastMonthManQcCounts = lastMonthManQcCounts;
        this.curMonthManQcCounts = curMonthManQcCounts;
        this.lastMonthNcCounts = lastMonthNcCounts;
        this.curMonthNcCounts = curMonthNcCounts;
        this.lastYearManQcCounts = lastYearManQcCounts;
        this.curYearManQcCounts = curYearManQcCounts;
        this.lastYearNcCounts = lastYearNcCounts;
        this.curYearNcCounts = curYearNcCounts;
    }

    public SxEpProductBatchesDefectCountsModel() {
    }
}
