package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP到货不良统计MODEL")
public class SxEpQualityIncatorsMonitoringStatisticsModel implements Serializable {

    private static final long serialVersionUID = -7126731717065872996L;
    @ApiParam("当前年度")
    private String curYear;

    @ApiParam("上一年度")
    private String lastYear;

    @ApiParam("前年度")
    private String yearBeforeLast;

    @ApiParam("当前月份")
    private String curMonth;

    @ApiParam("导出文件名称")
    private String exportFileName;

    @ApiParam("当前年度时间跨度:yyyy-MM")
    private List<String> curCheckTimeList;

    @ApiParam("上一年度时间跨度:yyyy-MM")
    private List<String> lastCheckTimeList;

    @ApiParam("月度统计报表数据")
    private List<SxEpQualityIndicatorsMonitoringParamModel> dataList;

    @ApiParam("带年月标题")
    private Map<String, String> titleMap;

}
