package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-14 10:59
 */
@Data
@ApiModel("EP到货不良统计参数MODEL")
public class SxEpQualityIndicatorsMonitoringParamModel implements Serializable {

    private static final long serialVersionUID = -4534432701352198226L;

    @ApiParam("项目类型")
    private String projectName;

    @ApiParam("项目名称")
    private String projectType;

    @ApiParam("年度计划")
    private String yearPlan;

    @ApiParam("去年同期月份实绩")
    private String lastMonthData;

    @ApiParam("当年当月实绩")
    private String curMonthData;

    @ApiParam("当月计划比")
    private String curMonthPlanThan;

    @ApiParam("当月计划比达成情况")
    private String curMonthPlanThanComplete;

    @ApiParam("月份前年比")
    private String monthYearBeforeThan;

    @ApiParam("前年比达成情况")
    private String monthYearBeforeThanComplete;

    @ApiParam("去年实绩")
    private String lastYearData;

    @ApiParam("当年实绩")
    private String curYearData;

    @ApiParam("计划比")
    private String yearPlanThan;

    @ApiParam("计划比达成情况")
    private String yearPlanThanComplete;

    @ApiParam("前年比")
    private String yearBeforeThan;

    @ApiParam("前年比达成情况")
    private String curYearBeforeThanComplete;

}
