package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-03 22:46
 */
@Data
@ApiModel("EP供应商不良统计分析报表MODEL")
public class SxEpVqeDefectModel implements Serializable {

    private static final long serialVersionUID = -8312606110597429157L;
    @ApiParam("供应商编码")
    private String vendorCode;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("不良分类")
    private String projectName;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("产品阶段")
    private Integer productStage;

    @ApiParam("创建开始时间")
    private String createDatetime;

    public SxEpVqeDefectModel(String vendorCode, String vendorName, String partNo, String partNameRdd, String projectName, Integer productType, Integer productStage, String createDatetime) {
        this.vendorCode = vendorCode;
        this.vendorName = vendorName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.projectName = projectName;
        this.productType = productType;
        this.productStage = productStage;
        this.createDatetime = createDatetime;
    }

    public SxEpVqeDefectModel() {
    }
}
