package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP供应商Q评价年报MODEL")
public class SxEpVqeEvaluateYearReportModel implements Serializable {

    private static final long serialVersionUID = 6156774232599081029L;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList;

    @ApiParam("table数据")
    private List<Map<String, String>> dataList;

    @ApiParam("分页数据")
    private Pager pager;

    public SxEpVqeEvaluateYearReportModel() {}

    public SxEpVqeEvaluateYearReportModel(List<SxDynamicAttributeModel> attributeList) {
        this.attributeList = attributeList;
    }
}
