package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-21 17:02
 */
@Data
@ApiModel("供应商Q评价年报参数 MODEL")
public class SxEpVqeEvaluateYearReportParamModel implements Serializable {

    private static final long serialVersionUID = -5623317136022776598L;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("评价等级(只可选CD)")
    private String level;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("查询:检验时间开始")
    private String checkTimeStart;

    @ApiParam("查询:检验时间结束")
    private String checkTimeEnd;

    @ApiParam("查询:上个年度检验时间开始")
    private String checkTimeStartLast;

    @ApiParam("查询:上个年度检验时间结束")
    private String checkTimeEndLast;

    @ApiParam("数据:年度检验时间开始")
    private String curCheckTimeStart;

    @ApiParam("数据:年度检验时间结束")
    private String curCheckTimeEnd;

    @ApiParam("数据:上个年度检验时间开始")
    private String lastCheckTimeStart;

    @ApiParam("数据:上个年度检验时间结束")
    private String lastCheckTimeEnd;

    @ApiParam("松下年")
    private String year;
}
