package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @USER: wangjie
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("管理试验监控MODEL")
public class SxManagementTestMonitoringModel implements Serializable {

    private static final long serialVersionUID = -7561526699456171201L;

    @ApiParam("id")
    private Long id;

    @ApiParam("id")
    private String idStr;

    @ApiParam("管理编号")
    private String managementNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("产品分类描述")
    private String productTypeName;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam(value = "机种名称")
    private String machineName;

    @ApiParam("检查区分")
    private String checkDiff;

    @ApiParam("检查区分描述")
    private String checkDiffName;

    @ApiParam(value = "类别")
    private String category;

    @ApiParam(value = "类别名称")
    private String categoryName;

    @ApiParam("管理试验项目")
    private String managementPilotProject;

    @ApiParam(value = "检测频度")
    private Integer checkFrequency;

    @ApiParam(value = "检测日期")
    private String checkDatetime;

    @ApiParam(value = "检测确认")
    private Integer checkStatus;

    @ApiParam(value = "检测确认描述")
    private String checkStatusName;

    @ApiParam(value = "检测确认日期")
    private String checkedDatetime;

    @ApiParam(value = "检测确认人")
    private String checkedUser;

    @ApiParam(value = "检测提醒")
    private Integer checkRemind;

    @ApiParam(value = "检测提醒颜色")
    private String checkRemindColor;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("是否有效")
    private Integer isValid;

    @ApiParam("是否删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
