package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验式样书明细MODEL")
public class SxOqcRuleNoteDetailModel implements Serializable {

    private static final long serialVersionUID = -6041366579314009654L;

    @ApiParam("id")
    private Long id;

    @ApiParam("序号")
    private Double seq;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("项目分类")
    private String projectCode;

    @ApiParam("检查内容")
    private String checkContent;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("判定基准")
    private String standard;

    @ApiParam("判断方式")
    private Integer checkType;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("检查器具")
    private String checkTool;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("批次号")
    private String lotNo;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("项目类型名称")
    private String projectName;

    @ApiParam("判断方式")
    private String checkTypeName;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("作成日期")
    private String complateDate;

    @ApiParam("是否必检")
    private Integer isNecessary;

    @ApiParam("是否必检")
    private String isNecessaryName;

}
