package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验式样书MODEL")
public class SxOqcRuleNoteModel implements Serializable {

    private static final long serialVersionUID = -1893603132059994590L;

    @ApiParam("id")
    private String idStr;

    @ApiParam("id")
    private Long id;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("作成日期")
    private String complateDate;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("批次号")
    private String lotNo;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    public SxOqcRuleNoteModel(Long id, String partNo, String partNameRdd, String categoryCode, String complateDate,
                              String uploadDatetime, Long fileId, String fileOriginName, String lotNo,
                              String organizeCode, String createUser, String createDatetime, String modifyUser, String modifyDatetime, String fileUrl) {
        this.id = id;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.categoryCode = categoryCode;
        this.complateDate = complateDate;
        this.uploadDatetime = uploadDatetime;
        this.fileId = fileId;
        this.fileOriginName = fileOriginName;
        this.lotNo = lotNo;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.fileUrl = fileUrl;
    }
}
