package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 异常联络单关联单model
 * @Author: puxiao
 * @date: 2022-04-01
 */
@Data
@Api("异常联络单关联单model")
public class SxQmsAbnormalRefDocModel {

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("关联单号")
    private String refOrderNo;

    @ApiParam("异常场所")
    private Integer busiType;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorDesc;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam("客户编码")
    private String customerNo;

    @ApiParam("客户名称")
    private String customerName;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDateTime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("创建时间")
    private String modifyDatetime;

    @ApiParam("缺陷等级")
    private String defectLevelValue;

    @ApiParam("责任区分")
    private String dutyDiffValue;

    @ApiParam("剔除关联单号")
    private String filterRefOrderNo;


    public SxQmsAbnormalRefDocModel(
                                    String refOrderNo,
                                    String partNo,
                                    String partNameRdd,
                                    String vendorNo,
                                    String vendorDesc,
                                    String machineCode,
                                    String createUser,
                                    String createDateTime,
                                    String modifyUser,
                                    String modifyDatetime){
        this.refOrderNo = refOrderNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.vendorNo = vendorNo;
        this.vendorDesc = vendorDesc;
        this.machineCode = machineCode;
        this.createUser = createUser;
        this.createDateTime = createDateTime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }



    public SxQmsAbnormalRefDocModel(){

    }
}
