package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : ODM管理试验监控导出model
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2022/5/30 14:52
 * @Modify:
 **/
@Data
@Api("ODM管理试验监控导出model")
public class SxQmsODMManagementTestMonitoringModel {

    @ApiParam("状态描述")
    private String statusStr;

    @ApiParam("产品类型名称")
    private String productTypeName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("仕向地")
    private String toLand;

    @ApiParam("电压频率")
    private String voltageFrequency;

    @ApiParam("台数")
    private Integer count;

    @ApiParam("试验周期")
    private String testCycle;

    @ApiParam("试验类型区分")
    private String testTypeDistinguishStr;

    @ApiParam("计划")
    private String plan;

    @ApiParam("送检日期")
    private String checkDatetime;

    @ApiParam("实绩")
    private String result;

    @ApiParam("备注")
    private String memo;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新时间")
    private String modifyDatetime;
}
