package cn.estsh.i3plus.pojo.qms.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 质检查询model
 * @Author: puxiao
 * @date: 2022-03-08
 */
@Data
@Api("质检查询model")
public class SxQmsQCTransDetailModel {

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("检查区间")
    private Integer checkRegion;

    @ApiParam("检查项目")
    private Integer projectCode;

    @ApiParam("开始日期")
    public String createDatetimeStart = "createDatetimeStart";

    @ApiParam("结束日期")
    public String createDatetimeEnd = "createDatetimeEnd";
}
