package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 受入报表model
 * @Author: puxiao
 * @date: 2022-04-03
 */
@Data
@Api("受入报表model")
public class SxQmsQCTransDetailsReportModel {

    @ApiParam("标题")
    private List<SxDynamicAttributeModel> sxDynamicAttributeModelList;

    @ApiParam("数据")
    private List<SxQmsQCTransDetailsReportModel> sxQmsQCTransDetailsReportModelList;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("项目类型")
    private String projectCode;

    @ApiParam("项目名称")
    private String projectName;

    @ApiParam("部品类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PART_PRODUCT_TYPE.class, refForeignKey = "value", value = "description")
    private String partCheckType;

    @ApiParam("检查区分")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_MODE_TYPE.class, refForeignKey = "value", value = "description")
    private String qcMode;

    @ApiParam("OK/NG")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_STATUS.class, refForeignKey = "value", value = "description")
    private String qcStatus;

    private Integer counting;

    @ApiParam("检测值1")
    private String count1;
    @ApiParam("检测值2")
    private String count2;
    @ApiParam("检测值3")
    private String count3;
    @ApiParam("检测值4")
    private String count4;
    @ApiParam("检测值5")
    private String count5;
    @ApiParam("检测值6")
    private String count6;
    @ApiParam("检测值7")
    private String count7;
    @ApiParam("检测值8")
    private String count8;
    @ApiParam("检测值9")
    private String count9;
    @ApiParam("检测值10")
    private String count10;
    @ApiParam("检测值11")
    private String count11;
    @ApiParam("检测值12")
    private String count12;
    @ApiParam("检测值13")
    private String count13;
    @ApiParam("检测值14")
    private String count14;
    @ApiParam("检测值15")
    private String count15;

    @ApiParam("检测值16")
    private String count16;
    @ApiParam("检测值17")
    private String count17;
    @ApiParam("检测值18")
    private String count18;
    @ApiParam("检测值19")
    private String count19;
    @ApiParam("检测值20")
    private String count20;
    @ApiParam("检测值21")
    private String count21;
    @ApiParam("检测值22")
    private String count22;
    @ApiParam("检测值23")
    private String count23;
    @ApiParam("检测值24")
    private String count24;
    @ApiParam("检测值25")
    private String count25;
    @ApiParam("检测值26")
    private String count26;
    @ApiParam("检测值27")
    private String count27;
    @ApiParam("检测值28")
    private String count28;
    @ApiParam("检测值29")
    private String count29;
    @ApiParam("检测值30")
    private String count30;
    @ApiParam("检测值31")
    private String count31;

    @ApiParam("合格数量")
    private Integer count;

    @ApiParam("外观不合格")
    private Integer appearanceCount;

    @ApiParam("尺寸不合格")
    private Integer sizeCount;

    @ApiParam("实验不合格")
    private Integer experrimentCount;
}
