package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-15 11:14
 */
@Data
@ApiModel("再检指示书MODEL")
public class SxQmsRecheckInstructionModel implements Serializable {

    private static final long serialVersionUID = -6009512114462934601L;

    @ApiParam("id")
    private Long id;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("编辑人")
    private String modifyUser;

    @ApiParam("编辑时间")
    private String modifyDatetime;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("再检指示单号")
    private String recheckInstructionNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam("不合格内容")
    private String belowStandardContent;

    @ApiParam("再检方法")
    private String recheckMethod;

    @ApiParam("再检场所")
    private String recheckPlace;

    @ApiParam("处置方法1")
    private String disposalMethods1;

    @ApiParam("处置方法2")
    private String disposalMethods2;

    @ApiParam("处置方法3")
    private String disposalMethods3;

    @ApiParam("其他不符合1")
    private String otherNonconformingItems1;

    @ApiParam("其他不符合2")
    private String otherNonconformingItems2;

    @ApiParam("其他不符合3")
    private String otherNonconformingItems3;

    @ApiParam("抽检结果1")
    private String spotCheckResults1;

    @ApiParam("抽检结果2")
    private String spotCheckResults2;

    @ApiParam("单据状态 1-已创建,2-已完成")
    private Integer instructionStatus;

    @ApiParam("单据状态描述 1-已创建,2-已完成")
    private String instructionStatusName;
}
