package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("维修措施model")
public class SxRepairExpedientModel implements Serializable {

    private static final long serialVersionUID = 8662071628239289460L;

    @ApiParam("id")
    private Long id;

    @ApiParam(value = "维修代码")
    private String repairCode;

    @ApiParam(value = "维修名称")
    public String repairName;

    @ApiParam("维修类型")
    private String repairType;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

}
