package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("班次信息MODEL")
public class SxShiftModel implements Serializable {

    private static final long serialVersionUID = -6630429228876470427L;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("开班时间")
    private String startTime;

    @ApiParam("下班时间")
    private String endTime;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("编辑人")
    private String modifyUser;

    @ApiParam("编辑时间")
    private String modifyDatetime;

}
