package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@Api("供应商Q评价CD监控报表model")
public class SxVendorQEvaluateMonitorReportModel {

    @ApiParam("4月评价等级")
    private String aprilGrade;

    @ApiParam("5月评价等级")
    private String mayGrade;

    @ApiParam("6月评价等级")
    private String juneGrade;

    @ApiParam("7月评价等级")
    private String julyGrade;

    @ApiParam("8月评价等级")
    private String augustGrade;

    @ApiParam("9月评价等级")
    private String septemberGrade;

    @ApiParam("10月评价等级")
    private String octoberGrade;

    @ApiParam("11月评价等级")
    private String novemberGrade;

    @ApiParam("12月评价等级")
    private String decemberGrade;

    @ApiParam("1月评价等级")
    private String januaryGrade;

    @ApiParam("2月评价等级")
    private String februaryGrade;

    @ApiParam("3月评价等级")
    private String marchGrade;

    @ApiParam("受入检查分")
    private Integer incomingScore;

    @ApiParam("制造工程分")
    private Integer engineeringScore;

    @ApiParam("市场反馈分")
    private Integer marketScore;

    @ApiParam("人工加减分")
    private Integer artificialScore;

    @ApiParam("总分")
    private Integer totalScore;


    @ApiParam("工厂编号")
    private String organizeCode;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("年份")
    private Integer year;
}
