package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("工位model")
public class SxWorkCellModel implements Serializable {

    private static final long serialVersionUID = -6630723169304972112L;

    @ApiParam("id")
    private Long id;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("生产区域代码")
    private String areaCode;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

}
