package cn.estsh.i3plus.pojo.qms.model.bu;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description :不良分类明细MODEL
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("不良分类明细MODEL")
public class BuBadnessClassifyDetailModel implements Serializable {

    private static final long serialVersionUID = -3015345806769828803L;
    @ApiParam("不良分类代码")
    private String badnessClassifyCode;

    @ApiParam("不良分类名称")
    private String badnessClassifyName;

    @ApiParam("不良分类明细代码")
    private String badnessClassifyDetailCode;

    @ApiParam("不良分类明细名称")
    private String badnessClassifyDetailName;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建人")
    public String createUser;

    @ApiParam("创建时间")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改时间")
    public String modifyDatetime;

}
