package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验信息model")
public class BuOqcBatchModel implements Serializable {

    private static final long serialVersionUID = -909534231613605494L;
    @ApiParam("id")
    private List<Long> idList;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("检验结果")
    private Integer checkResult;

}
