package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验缺件确认 MODEL")
public class BuOqcCheckFreConfirmReportModel implements Serializable {

    private static final long serialVersionUID = -4038356551797410431L;

    @ApiParam("id")
    public String idStr;

    @ApiParam("工厂")
    public String organizeCode;

    @ApiParam("产品条码")
    public String serialNumber;

    @ApiParam("生产工单号")
    public String workOrderNo;

    @ApiParam("物料号")
    public String partNo;

    @ApiParam("物料名称")
    public String partNameRdd;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("下线产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("下线时间")
    private String outWcTime;

    @ApiParam("补件状态")
    private Integer freStatus;

    @ApiParam("补件状态")
    private String freStatusName;

    @ApiParam("补件人")
    private String freUser;

    @ApiParam("补件时间")
    private String freTime;

    @ApiParam("确认状态")
    private Integer confirmStatus;

    @ApiParam("确认状态")
    private String confirmStatusName;

    @ApiParam("确认人")
    private String confirmUser;

    @ApiParam("确认时间")
    private String confirmTime;

    @ApiParam("下线时间开始")
    private String outWcTimeStart;

    @ApiParam("下线时间结束")
    private String outWcTimeEnd;

    @ApiParam("补件时间开始")
    private String freTimeStart;

    @ApiParam("补件时间结束")
    private String freTimeEnd;

    @ApiParam("确认时间开始")
    private String confirmTimeStart;

    @ApiParam("确认时间结束")
    private String confirmTimeEnd;

}