package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-06-10 13:47
 */
@Data
@ApiModel("工单MODEL")
public class BuWorkOrderModel implements Serializable {

    private static final long serialVersionUID = -8121168165571990519L;
    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("完工数量")
    private Double completeQty;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("产线编码")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("修改时间")
    private String modifyDatetime;

    @ApiParam("工单状态")
    private Integer workOrderStatus;
}
