package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-18 13:13
 */
@Data
@ApiModel("班次信息MODEL")
public class MesShiftExtModel implements Serializable {

    private static final long serialVersionUID = -2244642573666177675L;
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("开班时间")
    private String startTime;

    @ApiParam("下班时间")
    private String endTime;

    @ColumnDefault("0")
    @ApiParam("作业时长")
    private Double workTimes;

    @ApiParam("班次顺序")
    private Integer shiftSeq;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("作业人数")
    private Double workerQty;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新时间")
    private String modifyDatetime;

    @ApiParam("id")
    private Long id;
}
