package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验电子看板-单日出货检验情况MODEL")
public class SxBuOqcBoardCurDayCheckConditionModel implements Serializable {

    private static final long serialVersionUID = -6096098508334728888L;
    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("生产计划数量")
    private Integer planQty;

    @ApiParam("实绩生产数量")
    private Integer completeQty;

    @ApiParam("计划检验数量")
    private Integer planCheckQty;

    @ApiParam("实绩检验数量")
    private Integer completeCheckQty;

    @ApiParam("检验状态")
    private String status;

    @ApiParam("检验状态背景颜色")
    private String statusColor;

    @ApiParam("结果")
    private String result;

    @ApiParam("点检员")
    private String userName;

}
