package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description: 受入检验看板model
 * @author: jiaqi.hou
 * @date: 2022/06/22
 */
@Data
@Api("受入检验看板model")
public class SxBuQcSpectacularsModel {
    @ApiParam(value = "总数量")
    private String sum;

    @ApiParam(value = "用户名")
    private String userName;

    @ApiParam(value = "饼状图块名称")
    private String name;

    @ApiParam(value = "单据数量")
    private String orderSum;

    @ApiParam(value = "单价百分比")
    private String orderPercentage;

    @ApiParam(value = "事业别")
    private String career;

    @ApiParam(value = "供应商简称")
    private String vendorName;

    @ApiParam(value = "总批次")
    private Double batchTotal;

    @ApiParam(value = "不良批次")
    private Double rejectBatch;

    @ApiParam(value = "不良率")
    private Double rejectRatio;

    @ApiParam("顺序")
    private Integer serial;
    public SxBuQcSpectacularsModel() {
    }

    public SxBuQcSpectacularsModel(String userName, String sum){
        this.userName = userName;
        this.sum = sum;
    }
}
