package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;

/**
 * 测算方式
 * @author link
 */
public enum WmsHealthIndexCalcWay {
    /**
     * 数据库脚本
     */
    DATABSE("10"),
    /**
     * 本地函数
     */
    LOCALMETHOD("20"),
    /**
     * 脚本
     */
    SCRIPT("30");

	@Getter
    private String value;

    private WmsHealthIndexCalcWay(String value){
        this.value = value;
    }
    
    public static WmsHealthIndexCalcWay value(String value) {
    	WmsHealthIndexCalcWay[] values = WmsHealthIndexCalcWay.values();
    	for(WmsHealthIndexCalcWay target:values) {
    		if(target.getValue().equals(value)) {
    			return target;
    		}
    	}
    	return null;
    }
}
