package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;
import lombok.Setter;

/**
 * 健康度指标计算值
 * @author link
 */
@Getter
public class WmsHealthIndexValue{
    /**
     * 测算结果
     */
    private final String result;
    /**
     * 测算时间
     */
    @Setter
    private Long time;

    public WmsHealthIndexValue(final String result){
        if(null==result){
            throw new IllegalArgumentException("result can't be null");
        }
        this.result = result;
        this.time =  System.currentTimeMillis();
    }
}