package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2022/4/13 21:48
 * @Modify:
 **/
@ApiModel(value = "集中对账单明细汇总Dto")
@Data
public class DetailSumDto {
    @ApiModelProperty(value = "物料号")
    private String partNo;
    @ApiModelProperty(value = "库存地")
    private String whArea;
    @ApiModelProperty(value = "来源存储区")
    private String srcStoreArea;
    @ApiModelProperty(value = "目标存储区")
    private String targetStoreArea;
    @ApiModelProperty(value = "业务类型")
    private String transType;
    @ApiModelProperty(value = "单据状态")
    private String orderStatus;
    @ApiModelProperty(value = "需求数量")
    private Double needNum;
    @ApiModelProperty(value = "处理数量")
    private Double dealNum;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "操作时间")
    private String operationTime;
}
