package cn.estsh.i3plus.pojo.wms.repository;

import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsHealthQueryRecord;

@Repository
public interface WmsHealthQueryRecordRepository extends BaseRepository<WmsHealthQueryRecord, Long> {

	Page<WmsHealthQueryRecord> findByOrganizeCodeAndIndicatorCodeAndQueryTimeBetween(String organizeCode,String indicatorCode, Long startTime,
			Long endTime, Pageable page);
	
	int countByOrganizeCodeAndIndicatorCodeAndQueryTimeBetween(String organizeCode,String indicatorCode, Long startTime,
			Long endTime);

	Optional<WmsHealthQueryRecord> findFirstByOrganizeCodeAndIndicatorCodeOrderByQueryTimeDesc(String organizeCode,String indicatorCode);

}
