package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("安灯系统配置model")
public class AndonConfigModel implements Serializable {

    private static final long serialVersionUID = -3904799282814930138L;

    @ApiParam("id")
    private String idStr;

    @ApiParam("id")
    private Long id;

    @ApiParam(value ="名称")
    private String name;

    @ApiParam(value ="参数代码")
    private String configCode;

    @ApiParam(value ="参数描述")
    private String configDescription;

    @ApiParam(value ="参数键")
    private String configKey;

    @ApiParam(value ="参数键描述")
    private String configKeyName;

    @ApiParam(value ="参数值类型")
    private String configValueType;

    @ApiParam(value ="参数值类型描述")
    private String configValueTypeName;

    @ApiParam(value ="参数值")
    private String configValue;

    @ApiParam(value ="参数值描述")
    private String configValueDesc;

    @ApiParam(value ="参数类型")
    private Integer configType;

    @ApiParam(value ="参数组")
    private Integer configGroup;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
