package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.andon.bean.AndonManageRouteErrorRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */
@Data
@ApiModel("安灯作业流程异常记录model")
public class AndonManageRouteErrorRecordModel extends AndonManageRouteErrorRecord implements Serializable {

    private static final long serialVersionUID = -3351535059161071801L;

    @ApiParam("安灯类型名称")
    private String alarmName;

    @ApiParam(value = "安灯子类型名称")
    private String alarmDetailName;

    @ApiParam(value = "安灯来源类型")
    private String sourceTypeName;

    @ApiParam(value = "信息类型")
    private String msgTypeName;

    @ApiParam(value = "处理状态")
    private String handleStatusName;

    @ApiParam("安灯异常时间开始")
    public String alarmErrorTimeStart;

    @ApiParam("安灯异常时间截止")
    public String alarmErrorTimeEnd;

}
