package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 工位请求bean
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-04-19
 * @Modify:
 **/
@Data
public class StationRequestBean extends StationRequestBeanAb implements Serializable {

    private static final long serialVersionUID = -3122891627710528829L;

    @Override
    public String toString() {
        return "StationRequestBean{" +
                "actorReceiveStrategyClass='" + get(actorReceiveStrategyClass) + '\'' +
                ", actorClass='" + get(actorClass) + '\'' +
                ", fsmCachedKey='" + get(fsmCachedKey) + '\'' +
                ", organizeCode='" + get(organizeCode) + '\'' +
                ", userInfo='" + get(userInfo) + '\'' +
                ", msgType='" + get(msgType) + '\'' +
                ", areaCode='" + get(areaCode) + '\'' +
                ", workCenterCode='" + get(workCenterCode) + '\'' +
                ", workCellCode='" + get(workCellCode) + '\'' +
                ", alarmCode='" + get(alarmCode) + '\'' +
                ", sourceType='" + get(sourceType) + '\'' +
                ", alarmDetailCode='" + get(alarmDetailCode) + '\'' +
                ", andonOrderNo='" + get(andonOrderNo) + '\'' +
                ", msgData=" + get(msgData) +
//                ", fsmList=" + get(fsmList) +
                ", curFsm=" + get(curFsm) +
                ", triggerEvent='" + get(triggerEvent) + '\'' +
                ", alarmErrorTime='" + get(alarmErrorTime) + '\'' +
                '}';
    }

}
