package cn.estsh.i3plus.pojo.bsp.server.bean.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2022/1/22 14:27
 * @Modify:
 **/
@Data
@ApiModel(value = "脚本测试")
public class ScriptTestVo {

    @ApiModelProperty(value = "脚本内容")
    private String scriptContent;

    @ApiModelProperty(value = "方法名，默认为execute")
    private String methodName;

    @ApiModelProperty(value = "参数列表")
    private Map<String,Object> arguments;

    @ApiModelProperty(value = "执行器")
    private Integer targetExecutor;

    @ApiModelProperty(value = "脚本语言")
    private Integer languageType;
}
