package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("交易方信息MODEL")
@Data
public class CdmCounterpartyModel {

    @ApiParam("交易方编码")
    private String counterpartyNo;

    @ApiParam("交易方名称")
    private String counterpartyName;

    @ApiParam("组织代码")
    private String organizeCode;

    public CdmCounterpartyModel(String counterpartyNo, String counterpartyName) {
        this.counterpartyNo = counterpartyNo;
        this.counterpartyName = counterpartyName;
    }

    public CdmCounterpartyModel() {
    }
}
