package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.cdm.bean.CdmCustomsDetail;
import cn.estsh.i3plus.pojo.cdm.bean.CdmCustomsMaster;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Api("报关主数据以明细model")
@Data
public class CdmCustomsMasterDetailModel {

    @ApiParam("报关主数据")
    private List<CdmCustomsMaster> cdmCustomsMasterList;

    @ApiParam("报关明细数据")
    private List<CdmCustomsDetail> cdmCustomsDetailList;

    @ApiParam("PO单")
    private List<SwebPurchaseOrderModel> purchaseOrderModelList;

    public CdmCustomsMasterDetailModel(List<CdmCustomsMaster> cdmCustomsMasterList, List<CdmCustomsDetail> cdmCustomsDetailList, List<SwebPurchaseOrderModel> purchaseOrderModelList) {
        this.cdmCustomsMasterList = cdmCustomsMasterList;
        this.cdmCustomsDetailList = cdmCustomsDetailList;
        this.purchaseOrderModelList = purchaseOrderModelList;
    }

    public CdmCustomsMasterDetailModel(List<SwebPurchaseOrderModel> purchaseOrderModelList) {
        this.purchaseOrderModelList = purchaseOrderModelList;
    }

    public CdmCustomsMasterDetailModel() {
    }
}
