package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 导出model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/10 22:18
 * @Modify:
 **/
@Data
public class CdmExcelExportModel<T>{

    @ApiParam(name = "标题数据",value = "标题数据")
    private Map<String,Object> titleDataMap;

    @ApiParam(name = "列表数据",value = "列表数据")
    private List<T> rowDataList;

    @ApiParam(name = "excel名称",value = "excel名称")
    private String excelName;

    @ApiParam(name = "sheet名称",value = "sheet名称")
    private String sheetName;

}
