package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("80_总公司分送集报出入库单表体")
@Data
public class CdmExportTemplateEightyModel {

    @ApiParam("料号")
    private String itemNo;

    @ApiParam("申报数量")
    private String declaredQuantity;

    @ApiParam("币制")
    private String currencySystem;

    @ApiParam("总价")
    private Double totalPrice;

    @ApiParam("单价")
    private Double unitPrice;

    @ApiParam("材料性质（材料/成品）")
    private String materialsCompleteProductFlag;

    @ApiParam("BOM版本号")
    private String bomVersionNo;

    @ApiParam("第一数量")
    private String firstNumber;

    @ApiParam("第二数量")
    private String secondNumber;

    @ApiParam("原产国/最终目的国(地区)")
    private String originOrFinalCountry;
}
