package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("50_总公司现报核注清单表头")
@Data
public class CdmExportTemplateFiftyModel {

    @ApiParam("经营企业名称")
    private String businessName;

    @ApiParam("经营企业编码")
    private String businessCode;

    @ApiParam("手(账)册编号")
    private String manualCode;

    @ApiParam("进出口标志")
    private String importExportMark;

    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @ApiParam("进区日期")
    private String intoAreaDate;

    @ApiParam("料件、成品标志")
    private String partFinishedFlag;

    @ApiParam("监管方式")
    private String supervisionMethod;

    @ApiParam("运输方式")
    private String shippingType;

    @ApiParam("进/出境关别")
    private String inboundOutboundCustoms;

    @ApiParam("启运/运抵国(地区)")
    private String destinationCountry;

    @ApiParam("清单类型")
    private String listType;

    @ApiParam("交易方")
    private String counterparty;

    @ApiParam("申报表编号")
    private String returnNumber;

    @ApiParam("申报单位名称")
    private String applicantName;
}
