package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

@Api("40_总公司分送集报出入库单表体")
@Data
public class CdmExportTemplateFortyModel {

    @ApiParam("商品序号")
    private String productNumber;

    @ApiParam("申报表序号")
    private String returnNumber;

    @ApiParam("底账商品序号")
    private String accountGoodsNumber;

    @ApiParam("料号")
    private String itemNo;

    @ApiParam("商品编码")
    private String commodityNo;

    @ApiParam("商品名称")
    private String commodityName;

    @ApiParam("商品规格型号")
    private String commoditySpecificationModel;

    @ApiParam("申报计量单位")
    private String declaredUnitMeasurement;

    @ApiParam("币制")
    private String currencySystem;

    @ApiParam("申报数量")
    private String declaredQuantity;

    @ApiParam("申报单价")
    private String declaredUnitPrice;

    @ApiParam("申报总价")
    private String declaredTotalPrice;

    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @ApiParam("法定第二计量单位")
    private String legalMeasurementSecondUnit;

    @ApiParam("法定数量")
    private String legalQuantity;

    @ApiParam("第二法定数量")
    private String legalSecondQuantity;

    @ApiParam("单耗版本号")
    private String unitConsumptionVersion;

    @ApiParam("归类标志")
    private String classificationMark;

    @ApiParam("重量比例因子")
    private String weightScaleFactor;

    @ApiParam("第一比例因子")
    private String firstScaleFactor;

    @ApiParam("第二比例因子")
    private String secondScaleFactor;

    @ApiParam("毛重")
    private String roughWeight;

    @ApiParam("净重")
    private String netWeight;

    @ApiParam("关联商品序号")
    private String associatedCommodityNumber;

    @ApiParam("原产国(地区)")
    private String originCountry;

    @ApiParam("最终目的国(地区)")
    private String finalCountry;

    @ApiParam("是否参与合并")
    private String isParticipationMerger;

    @ApiParam("征免方式")
    private String exemptionMethod;

    @ApiParam("备注")
    private String remark;
}
