package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("100_分公司未完税报关单表体")
@Data
public class CdmExportTemplateHundredModel {

    @ApiParam("序号")
    private Integer serialNumber;

    @ApiParam("备案序号")
    private Double recordSerialNumber;

    @ApiParam("商品编码")
    private String commodityNo;

    @ApiParam("检验检疫编码")
    private String inspectionQuarantineCode;

    @ApiParam("商品名称")
    private String commodityName;

    @ApiParam("规格型号")
    private String specificationsModels;

    @ApiParam("成交数量")
    private String tradeVolume;

    @ApiParam("成交计量单位")
    private String tradeUnit;

    @ApiParam("单价")
    private Double price;

    @ApiParam("总价")
    private Double totalPrice;

    @ApiParam("币制")
    private String currencySystem;

    @ApiParam("法定数量")
    private Double legalQuantity;

    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @ApiParam("最终目的国")
    private String destinationCountry;

    @ApiParam("第二法定数量")
    private Double legalSecondQuantity;

    @ApiParam("第二法定计量单位")
    private String legalMeasurementSecondUnit;

    @ApiParam("原产国")
    private String originCountry;

    @ApiParam("境内目的地/境内货源地")
    private String domesticDestination;

    @ApiParam("目的地代码/产地代码")
    private String destinationCode;

    @ApiParam("征免方式")
    private String exemptionMethod;
    
    @ApiParam("申报要素")
    private String declareElement;
}
