package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("90_分公司未完税报关单表头")
@Data
public class CdmExportTemplateNinetyModel {

    @ApiParam("境内收货人")
    private String domesticConsignee;

    @ApiParam("社会信用代码")
    private String socialCreditCode;

    @ApiParam("交易方代码")
    private String counterpartyCode;

    @ApiParam("发票号")
    private String invoiceNo;

    @ApiParam("进境关别")
    private String entryAdrress;

    @ApiParam("运输方式")
    private Integer transPortType;

    @ApiParam("原产国")
    private String originCountry;

    @ApiParam("监管方式")
    private String supervisionMethod;

    @ApiParam("征免方式")
    private String exemptionMethod;

    @ApiParam("成交方式")
    private String payment;

    @ApiParam("件数")
    private Double totalNumber;

    @ApiParam("毛重")
    private String grossWeight;

    @ApiParam("净重")
    private String netWeight;

    @ApiParam("税款总担保")
    private String generalTaxGuarantee;

    @ApiParam("特殊关系确认")
    private String specialRelationConfirm;

    @ApiParam("价格影响确认")
    private String priceImpactConfirm;

    @ApiParam("支付特许权使用费确认")
    private String licensingConfirm;

    @ApiParam("公式定价确认")
    private String formulaPricingConfirm;

    @ApiParam("暂定价格确认")
    private String tentativePriceConfirm;

    @ApiParam("自报自缴")
    private String selfPeportPayment;

    @ApiParam("申报单位名称")
    private String applicantUnitName;
}
