package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

@Api("70_分公司完税报关核放单表头")
@Data
public class CdmExportTemplateSeventyModel {

    @ApiParam("经营企业名称")
    private String businessName;

    @ApiParam("经营企业编码")
    private String businessCode;

    @ApiParam("进出卡日期")
    private String cardEntryDate;

    @ApiParam("编号")
    private String orderNo;

    @ApiParam("账册编号")
    private String accountNo;

    @ApiParam("收货单位")
    private String consignee;

    @ApiParam("发货单位")
    private String forwardingUnit;

    @ApiParam("出入库类型")
    private String inboundOutbounType;

    @ApiParam("包装种类")
    private String packType;

    @ApiParam("货物总毛重（kg）")
    private String goodsGrossWeight;

    @ApiParam("货物总净重（kg）")
    private String totalNetWeight;

    @ApiParam("件数")
    private String number;

    @ApiParam("IC卡号(电子车牌)")
    private String icCode;

    @ApiParam("备注")
    private String remark;
}
