package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("65_总公司核注清单表体二")
@Data
public class CdmExportTemplateSixtyFiveModel {

    @ApiParam("序号")
    private Integer serialNumber;

    @ApiParam("备案序号")
    private Integer recordSerialNumber;

    @ApiParam("商品料号")
    private String customsCommodityNo;

    @ApiParam("报关单商品序号")
    private String customProductNumber;

    @ApiParam("流转申报表序号")
    private String circulationFormNo;

    @ApiParam("商品编码")
    private String commodityNo;

    @ApiParam("商品名称")
    private String commodityName;

    @ApiParam("规格型号")
    private String specificationsModels;

    @ApiParam("币制")
    private String currencySystem;

    @ApiParam("申报计量单位代码")
    private String declareMeasureUnit;

    @ApiParam("法定计量单位代码")
    private String legalMeasureUnit;

    @ApiParam("法定二计量单位代码")
    private String legal2MeasureUnit;

    @ApiParam("申报数量")
    private Double qty;

    @ApiParam("法定计量数量")
    private String legalMeasureNumber;

    @ApiParam("法定二计量数量")
    private String legal2MeasureNumber;

    @ApiParam("申报单价")
    private String declaredUnitPrice;

    @ApiParam("申报总价")
    private String declaredTotalPrice;

    @ApiParam("原产国")
    private String originCountry;

    @ApiParam("最终目的国")
    private String destinationCountry;

    @ApiParam("重量比例因子")
    private String weightScaleFactor;

    @ApiParam("第一比例因子")
    private String firstScaleFactor;

    @ApiParam("第二比例因子")
    private String secondScaleFactor;

    @ApiParam("毛重")
    private String grossWeight;

    @ApiParam("净重")
    private String netWeight;

    @ApiParam("征免方式")
    private String exemptionMethod;

    @ApiParam("单号版本号")
    private String orderVersionNo;

    @ApiParam("危险品标志")
    private String dangerousMark;

    @ApiParam("备注")
    private String remark;

}
