package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("60_总公司核注清单表体一")
@Data
public class CdmExportTemplateSixtyModel {

    @ApiParam("序号")
    private Integer serialNumber;

    @ApiParam("商品序号")
    private String productNumber;

    @ApiParam("备案序号")
    private Integer recordSerialNumber;

    @ApiParam("商品料号")
    private String customsCommodityNo;

    @ApiParam("商品编码")
    private String commodityNo;

    @ApiParam("商品名称")
    private String commodityName;

    @ApiParam("规格型号")
    private String specificationsModels;

    @ApiParam("原产国")
    private String originCountry;

    @ApiParam("最终目的国")
    private String destinationCountry;

    @ApiParam("币种")
    private String currency;

    @ApiParam("币制")
    private String currencySystem;

    @ApiParam("申报单价")
    private String declaredUnitPrice;

    @ApiParam("申报数量")
    private Double qty;

    @ApiParam("申报计量单位")
    private String declareUnit;

    @ApiParam("申报总价")
    private Double declaredTotalPrice;

    @ApiParam("法定数量")
    private Double legalQuantity;

    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @ApiParam("第二法定数量")
    private Double legalSecondQuantity;

    @ApiParam("第二法定计量单位")
    private String legalMeasurementSecondUnit;

    @ApiParam("毛重")
    private String grossWeight;

    @ApiParam("净重")
    private String netWeight;

    @ApiParam("征免方式")
    private String exemptionMethod;

    @ApiParam("单号版本号")
    private String orderVersionNo;

    @ApiParam("申报要素")
    private String declareElement;
}
