package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("10_总公司分送集报现报核放单表头")
@Data
public class CdmExportTemplateTenModel {

    @ApiParam("经营企业名称")
    private String businessName;

    @ApiParam("经营企业编码")
    private String businessCode;

    @ApiParam("进出卡日期")
    private String cardEntryDate;

    @ApiParam("编号")
    private String orderNo;

    @ApiParam("核放单类型")
    private String nuclearReleaseType;

    @ApiParam("出入库类型")
    private String inboundOutbounType;

    @ApiParam("绑定类型")
    private String bindingType;

    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @ApiParam("IC卡号(电子车牌)")
    private String icCode;

    @ApiParam("车自重（kg）")
    private String carWeight;

    @ApiParam("车架重（kg）")
    private String frameWeight;

    @ApiParam("货物总毛重（kg）")
    private String goodsGrossWeight;

    @ApiParam("货物总净重（kg）")
    private String totalNetWeight;

    @ApiParam("备注")
    private String remark;

    @ApiParam("申报单位")
    private String applicationUnit;
}
