package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.cdm.bean.CdmFinalDeclarationDataDetails;
import cn.estsh.i3plus.pojo.cdm.bean.CdmFinalDeclarationDataMaster;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 终审报关数据Model
 */
@Data
public class CdmFinalDeclarationDataModel implements Serializable {

    @ApiParam(name = "终审报关数据主表",value = "终审报关数据主表")
    private CdmFinalDeclarationDataMaster master;

    @ApiParam(name = "终审报关数据明细",value = "终审报关数据明细")
    private List<CdmFinalDeclarationDataDetails> details;

    @ApiParam(name = "单号",value = "单号")
    private String orderNo;

}
