package cn.estsh.i3plus.pojo.cdm.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes导入异常结果model")
public class SxExcelImportErrorExtModel implements Serializable {

    @ApiParam("错误的行号")
    private int rowNum;

    @ApiParam("错误数量")
    private int errorNum;

    @ApiParam("错误列号")
    private String cellNum;

    @ApiParam("错误描述")
    private String errorInfo;

}
