package cn.estsh.i3plus.pojo.eam.common.dto;

import cn.estsh.i3plus.pojo.eam.common.pojo.FieldInfo;
import cn.estsh.i3plus.pojo.eam.pojo.importexport.ImportField;
import io.swagger.annotations.Api;
import lombok.Data;

import java.lang.reflect.Method;

/**
 * @Description : 导入节点头信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-02-25
 * @Modify:
 **/
@Data
@Api("导入节点头信息")
public class ImportHeaderNode {
    private ImportField importField;
    private FieldInfo fieldInfo;
    private String defaultValue;
    private Method defaultMethod;
    private boolean hasDeal = false;
    private boolean hasError = false;
}
