package cn.estsh.i3plus.pojo.eam.common.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Jason
 * @ClassName: UploadFileInfo
 * @Description: 上传文件的信息
 * @date 2022-04-14
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_UPLOAD_FILE_INFO")
@Api("上传文件的信息")
public class UploadFileInfo extends CommonBean {
    @Column(name="BEAN_NAME")
    @ApiParam(value ="对象名称")
    private String beanName;

    @Column(name="BEAN_ID")
    @ApiParam(value ="对象ID")
    private Long beanId;

    @Column(name="CONFIG_ID")
    @ApiParam(value ="文件配置ID")
    private Long configId;

    @Column(name="FILE_ID")
    @ApiParam(value ="存储的文件ID")
    private Long fileId;

    @Column(name="FILE_NAME")
    @ApiParam(value ="文件原始名称")
    private String fileName;
}
