package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @CreateDate 2022/5/10 14:26
 * @Author 尹肖
 */
@Data
public class EamApprovalHisModel {

    @ApiModelProperty(name = "主键")
    private Long id;

    @ApiModelProperty(name = "单号")
    private String orderNo;

    @ApiModelProperty(name = "状态")
    private String itemStatus;

    @ApiModelProperty(name = "设备编码")
    private String equCode;

    @ApiModelProperty(name = "设备名称")
    private String equName;

    @ApiModelProperty(name = "图片")
    private String picture;

    @ApiModelProperty(name = "修改人")
    private String modifyUser;

    @ApiModelProperty(name = "修改时间")
    private String modifyDatetime;

    @ApiParam(value = "审批状态")
    private String approvalState = EamEnumUtil.APPROVAL_STATE.NO.getValue();

    @ApiParam(value = "审批结果")
    private String approvalResult;

    @ApiParam(value = "审批人")
    private String approvalUser;

    @ApiParam(value = "审批时间")
    private String approvalTime;

    @ApiParam("耗时")
    private Long elapse;

    private String org;

    @ApiParam("图片")
   private String fileRoute;

    @ApiParam(value = "故障现象")
    private String falutShow;
}
