package cn.estsh.i3plus.pojo.model.platform;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ns
 * @create 2022/5/17 0017 下午 15:38
 * andon 查询用户信息model
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("andon 调用core查询的model")
public class AndonQueryUserModel {
    @ApiModelProperty(value ="工厂代码" , access ="工厂代码")
    private  String organizeCode;
    @ApiModelProperty(value ="账号登录名" , access ="账号登录名")
    private  String userLoginName;
    @ApiModelProperty(value ="用户名称" , access ="用户名称")
    private String  userName;
    @ApiModelProperty(value ="部门名称" , access ="部门名称")
    private String  department;
    @ApiModelProperty(value ="分页参数" , access ="分页参数")
    private Pager pager;
}
