package cn.estsh.i3plus.pojo.model.platform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ns
 * @create 2022/5/17 0017 下午 15:39
 * 松下andon 查询结果返回model
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("根据条件查询数据返回给andon的结果")
public class AndonQueryUserResultModel {
    @ApiModelProperty(value ="用户账号id" , access ="用户账号id")
    private Long userId;
    @ApiModelProperty(value ="用户信息id" , access ="用户信息id")
    private Long userInfoId;
    @ApiModelProperty(value ="账号登录名" , access ="账号登录名")
    private  String loginName;
    @ApiModelProperty(value ="用户名称" , access ="用户名称")
    private String  userName;
    @ApiModelProperty(value ="部门名称" , access ="部门名称")
    private String  department;
}
