package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:52
 */
@Data
@ApiModel("对账单明细model")
public class ReconciliaDetailResultModel  implements Serializable {
    @ApiModelProperty(notes = "物料编号")
    private String partNo;


    @ApiModelProperty(name = "库存地编号")
    private String areaNo;

    @ApiModelProperty(notes = "存储区编号")
    private String zoneNo;

    @ApiModelProperty(notes = "业务类型")
    private Integer busiTypeCode;

    @ApiModelProperty(notes = "IQ状态 正常异常")
    private Integer iQStatus;

    @ApiModelProperty(notes = "关联单号")
    private String refSrcOrderNo;

    @ApiModelProperty(notes = "关联单据状态")
    public Integer refSrcOrderStatus;

    @ApiModelProperty(notes = "库存移动单号")
    private String moveOrderNo;

    @ApiModelProperty(notes = "处理数量")
    private Double handleQty;

    @ApiModelProperty(notes = "移动单状态")
    private Integer moveOrderStatus;

    @ApiModelProperty(notes = "movetoerp状态")
    private Integer moveToERPStatus;


    @ApiModelProperty(notes = "中间表状态")
    private Integer middleTableStatus;

    @ApiModelProperty(notes = "oQ状态 正常异常")
    private Integer oQStatus;


    public ReconciliaDetailResultModel(String partNo,String areaNo,String zoneNo,Integer busiTypeCode,String refSrcOrderNo,Integer refSrcOrderStatus,String moveOrderNo,Double handleQty,Integer moveOrderStatus ){
         this.partNo = partNo;
         this.areaNo = areaNo;
         this.zoneNo = zoneNo;
         this.busiTypeCode = busiTypeCode;
         this.refSrcOrderNo = refSrcOrderNo;
         this.refSrcOrderStatus = refSrcOrderStatus;
         this.moveOrderNo = moveOrderNo;
         this.handleQty = handleQty;
         this.moveOrderStatus = moveOrderStatus;
    }

}
