package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsMoveDetails;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : move物料明细model
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2021/10/28 16:03
 * @Modify:
 **/
@Data
@Api("move物料明细model")
//@NoArgsConstructor
public class WmsMovePartModel extends WmsMoveDetails {

    private static final long serialVersionUID = 3308814792807712395L;

    @ApiParam("主表ID")
    public Long masterId;

    @ApiParam("产线/工作中心")
    public String workCenterCode;

    public WmsMovePartModel() {}

    public WmsMovePartModel(Long masterId, String workCenterCode, WmsMovePartModel model) {
        this.masterId = masterId;
        this.workCenterCode = workCenterCode;
        this.id = model.getId();
        this.partNo = model.getPartNo();
        this.partNameRdd = model.getPartNameRdd();
        this.transQty = model.getTransQty();
        this.handledQty = model.getHandledQtyVal();
        this.srcZoneNo = model.getSrcZoneNo();
        this.refSrc = model.getRefSrc();
        this.orderNo = model.getOrderNo();
        this.item = model.getItem();
        this.unit = model.getUnit();
        this.itemStatus = model.getItemStatus();
    }
}
