package cn.estsh.i3plus.pojo.platform.bean;

import io.swagger.annotations.Api;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :冷热数据分离消息队列消息
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/9/23 13:59
 * @Modify:
 **/
@Data
@Api(value = "冷热分离消息")
public class DataSeparatorMessage implements Serializable {

    private static final long serialVersionUID = -1;

    /**
     * 需要迁移数据的 id
     */
    private Long id;

    /**
     * 迁移数据的原表
     */
    private String srcTableName;
    /**
     * 目标迁移的表名
     */
    private String destTableName;

    /**
     * 目的地数据源id
     */
    private Long destDataSourceId;
    /**
     * 来源数据源
     */
    private Long srcDataSourceId;

}
