package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/12/8 15:33
 * @Modify:
 **/
@Entity
@Data
@Table(name = "DATA_SEPARATOR_RULE")
@Api(value = "迁移数据规则")
public class DataSeparatorRule extends BaseBean {


    @Column(name = "RULE_COLUMN")
    @ApiParam(value = "迁移数据根据的列名")
    private String ruleColumn;

    @Column(name = "SYS_SEPARATOR")
    @ApiParam(value = "操作符，大于，等于，小于")
    private String separator;

    @Column(name = "RULE")
    @ApiParam(value = "具体的数字，作为迁移标准")
    private String rule;

    @Column(name = "TABLE_NAME_SRC")
    @ApiParam(value = "迁移源表名")
    private String tableNameSrc;

    @Column(name = "TABLE_NAME_DEST")
    @ApiParam(value = "迁移目的地的表名")
    private String tableNameDest;

    @Column(name = "DEST_DATA_SOURCE_ID")
    @ApiParam(value = "目的数据源id")
    private Long destDataSourceId;

    @Column(name = "SRC_DATA_SOURCE_ID")
    @ApiParam(value = "来源数据源id")
    private Long srcDataSourceId;

}
