package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2022-12-12 14:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SYS_LOG_ROLE_MENU_CHANGE")
@ApiModel(value = "角色权限变更日志", description = "角色权限变更日志")
public class SysLogRoleMenuChange extends BaseBean {

    private static final long serialVersionUID = 4665598896654312569L;
    @Column(name="ROLE_ID")
    @ApiModelProperty(value ="角色ID" , access ="角色ID")
    @AnnoOutputColumn(hidden = true)
    private Long roleId;

    @Column(name = "ROLE_NAME")
    @ApiParam(value = "角色名称", access = "角色名称")
    private String roleName;

    @Column(name="NEW_AUTHORITY")
    @ApiModelProperty(value ="新增菜单权限" , access ="新增菜单权限")
    private String newAuthority;

    @Column(name = "DEL_AUTHORITY")
    @ApiParam(value = "删除菜单权限", access = "删除菜单权限")
    private String delAuthority;
}
