package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2022-12-09 15:01
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_LOG_ROLE_OPERATE")
@ApiModel(value="角色变更操作记录",description = "角色变更操作记录")
public class SysLogRoleOperate extends BaseBean {

    private static final long serialVersionUID = 4665598896654312569L;
    @Column(name="ROLE_ID")
    @ApiModelProperty(value ="角色ID" , access ="角色ID")
    @AnnoOutputColumn(hidden = true)
    private Long roleId;

    @Column(name = "OPERATE")
    @ApiParam(value = "操作", access = "操作")
    private String operate;

    @Column(name = "OPERATE_CONTEXT")
    @ApiParam(value = "操作内容", access = "操作内容")
    private String operateContext;
}
