package cn.estsh.i3plus.pojo.qms.annotation;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Api("实体字段")
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface EntityColumn {
    @ApiParam("是否业务主键")
    boolean isPrimary() default false;
    @ApiParam("是否必须")
    boolean isRequired() default false;
    @ApiParam("是否唯一")
    boolean isUnique() default false;
}
