package cn.estsh.i3plus.pojo.qms.annotation;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Api("EXCEL导入表格")
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcelTable {
    @ApiParam("读取的工作簿数")
    int readSheetNum() default 3;
    @ApiParam("读取的总行数")
    int readRowNum() default 0;
    @ApiParam("读取的开始行")
    int readRowStart() default 1;
    @ApiParam("只读取标注字段")
    boolean onlyReadLabel() default true;
}
