package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

/**
 * @description: 产品分类表
 * @author: jiaqi.hou
 * @date: 2022/04/25
 */
@Data
@Entity
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PRODUCT_CLASSIFICATION", indexes = {@Index(columnList = "PRODUCT_CODE,PRODUCT_NAME")})
@Api("产品分类表")
public class SxQmsProductClassification extends BaseBean {
    @Column(name = "PRODUCT_CODE")
    @ApiParam("产品代码")
    private String productCode;

    @Column(name = "PRODUCT_NAME")
    @ApiParam("产品名称")
    private String productName;
}
