package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 异常联络单关联单信息
 * @Author: puxiao
 * @date: 2021-10-08
 */
@Data
@Api("异常联络单关联单信息")
public class SxAbnormalBusiModel implements Serializable {

    @ApiParam("工厂编号")
    private String OrganizeCode;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("异常场所")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_SOURCE.class, refForeignKey = "value", value = "description")
    public Integer busiType;


    @ApiParam("创建人")
    public String createUser;

    @ApiParam("创建时间")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改时间")
    public String modifyDatetime;

}
