package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("批量上传文件MODEL")
public class SxBatchUploadFileModel implements Serializable {

    private static final long serialVersionUID = 3606324303318168788L;

    @ApiParam("成功数量")
    private int successCount;

    @ApiParam("失败数量")
    private int failureCount;

    @ApiParam("未上传的文件")
    private List<String> unUploadFileList;

}
