package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP出货检验不良统计参数MODEL")
public class SxEpChartStatisticsParamModel implements Serializable {

    private static final long serialVersionUID = 6139646091187186621L;

    @ApiParam("机种编码")
    private String categoryCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("机种编码")
    private String categoryCodeName;

    @ApiParam("生产线")
    private String workCenterName;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("查询:检验时间开始")
    private String checkTimeStart;

    @ApiParam("查询:检验时间结束")
    private String checkTimeEnd;

    @ApiParam("查询:上个年度检验时间开始")
    private String checkTimeStartLast;

    @ApiParam("查询:上个年度检验时间结束")
    private String checkTimeEndLast;

    @ApiParam("数据:年度检验时间开始")
    private String curCheckTimeStart;

    @ApiParam("数据:年度检验时间结束")
    private String curCheckTimeEnd;

    @ApiParam("数据:上个年度检验时间开始")
    private String lastCheckTimeStart;

    @ApiParam("数据:上个年度检验时间结束")
    private String lastCheckTimeEnd;

}
