package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author yixinwang
 * @version 1.0
 * @date 2022/4/18 15:32
 **/
@Data
@ApiModel("EP客诉不良点描述统计报表MODEL")
public class SxEpCustomerComplaintBadDescStatisticsModel implements Serializable {

    private static final long serialVersionUID = -758512056848028681L;

    @ApiParam("导出文件名称")
    private String exportFileName;

    @ApiParam("柱状图:上一年度数据")
    private List<Integer> lastYearDataList;

    @ApiParam("柱状图:当前年度数据")
    private List<Integer> curYearDataList;

    @ApiParam("柱状图X轴:不良项目")
    private List<String> xList;

    @ApiParam("上一年度数据柱状图名称")
    private String lastYearDataListName;

    @ApiParam("当前年度数据柱状图名称")
    private String curYearDataListName;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList;

}
