package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP客诉不良点描述统计报表MODEL")
public class SxEpCustomerComplaintDetailBadDescStatisticsModel implements Serializable {

    private static final long serialVersionUID = -2248459442536385249L;

    @ApiParam("不良代码")
    private String badnessCode;

    @ApiParam("不良代码名称")
    private String badnessName;

    @ApiParam("当前年度不良数量")
    private Integer curYearBadQty;

    @ApiParam("前一年度不良数量")
    private Integer lastYearBadQty;
}
