package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP饼图不良明细统计报表MODEL")
public class SxEpPieChartStatisticsDetailModel implements Serializable {

    private static final long serialVersionUID = 6799725827218809183L;

    @ApiParam("项目分类")
    private String projectCode;

    @ApiParam("项目分类名称")
    private String projectName;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("不良数量")
    private Integer badQty;

    @ApiParam("占比")
    private String rate;

    @ApiParam("颜色")
    private String color;

}
