package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP饼图不良明细统计报表MODEL")
public class SxEpPieChartStatisticsModel implements Serializable {

    private static final long serialVersionUID = -5452254043446505254L;

    @ApiParam("导出文件名称")
    private String exportFileName;

    @ApiParam("总不良数量")
    private Integer totalBadQty;

    @ApiParam("饼图外圈数据及TABLE的数据")
    private List<SxEpPieChartStatisticsDetailModel> dataList;

    @ApiParam("饼图内圈数据")
    private List<SxEpPieChartStatisticsDetailModel> innerDataList;

}
