package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-03 1:38
 */
@Data
@ApiModel("EP供应商不良统计分析报表查询参数MODEL")
public class SxEpVendorDefectParamModel implements Serializable {

    private static final long serialVersionUID = 8634260007231806572L;
    @ApiParam("供应商编码")
    private String vendorCode;

    @ApiParam("创建开始时间")
    private String createDateTimeStart;

    @ApiParam("创建结束时间")
    private String createDateTimeEnd;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("机种代码")
    private String machineCode;

    @ApiParam("产品类型")
    private Integer productType;

    @ApiParam("产品阶段")
    private Integer productStage;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("是否有效")
    private Integer isValid;

    @ApiParam("是否删除")
    private Integer isDeleted;

}
