package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("供应商业绩异常联络单确认model")
@Data
public class SxEpVqeAbnormalConfirmModel {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("异常联络单号")
    private String orderNo;

    @ApiParam("确认类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_CONFIRM_TYPE.class)
    private Integer confirmType;

    @ApiParam("确认意见")
    private String confirmIdea;

    @ApiParam("对策接收确定")
    private String gameAcceptanceConfirm;

    @ApiParam("效果改善确定")
    private String improvementEffectConfirm;
}
