package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 *  @Description: 图表model
 * @author puxiao.liao
 * @version 1.0
 * @date 2022-04-14 15:32
 **/
@Data
@ApiModel("图表model")
public class SxGridModel {

    @ApiParam("名称")
    private String name;

    @ApiParam("x轴数据")
    private List<Object> xAxis;

    @ApiParam("y轴数据")
    private List<Object> yAxis;
}
