package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @USER: wangjie
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("RoHS检测管理MODEL")
public class SxLimitColorCfgModel implements Serializable {

    private static final long serialVersionUID = -5396182030572815191L;

    @ApiParam("id")
    private Long id;

    @ApiParam("id")
    private String idStr;

    @ApiParam("功能模块")
    private Integer module;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("颜色代码")
    private String colorCode;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("功能模块")
    private String moduleName;

    @ApiParam("颜色名称")
    private String colorName;

}
