package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("模块EXCEL管理")
public class SxModuleExcelManageModel implements Serializable {

    private static final long serialVersionUID = 1709954542566331639L;

    @ApiParam("id")
    private Long id;

    @ApiParam("模块代码")
    private String moduleCode;

    @ApiParam("模块名称")
    private String moduleName;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("文件原名")
    private String fileOriginName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    public SxModuleExcelManageModel() {
    }

    public SxModuleExcelManageModel(Long id, String moduleCode, String moduleName, Long fileId, String fileUrl, String fileOriginName,
                                    String organizeCode, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.moduleCode = moduleCode;
        this.moduleName = moduleName;
        this.fileId = fileId;
        this.fileUrl = fileUrl;
        this.fileOriginName = fileOriginName;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }
}
