package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("月度统计报表MODEL")
public class SxMonthStatisticsReportModel implements Serializable {

    private static final long serialVersionUID = 5611181409773398953L;

    @ApiParam("展示顺序")
    private Integer index;

    @ApiParam("首列")
    private String firstCell;

    @ApiParam("项目")
    private String projectName;

    @ApiParam("合计")
    private String amount;

    @ApiParam("当年4月")
    private String month4;

    @ApiParam("当年5月")
    private String month5;

    @ApiParam("当年6月")
    private String month6;

    @ApiParam("当年7月")
    private String month7;

    @ApiParam("当年8月")
    private String month8;

    @ApiParam("当年9月")
    private String month9;

    @ApiParam("当年10月")
    private String month10;

    @ApiParam("当年11月")
    private String month11;

    @ApiParam("当年12月")
    private String month12;

    @ApiParam("次年1月")
    private String month1;

    @ApiParam("次年2月")
    private String month2;

    @ApiParam("次年3月")
    private String month3;

    public SxMonthStatisticsReportModel() {}

    public SxMonthStatisticsReportModel(Integer index, String firstCell, String projectName) {
        this.index = index;
        this.firstCell = firstCell;
        this.projectName = projectName;
    }
}
