package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验单据条码关联MODEL")
public class SxOqcCheckPackageDetailModel implements Serializable {

    private static final long serialVersionUID = 4217022742034706726L;

    @ApiParam("id")
    private Long id;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("备注")
    private String remark;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("检验结果")
    private String checkResultName;

    @ApiParam("班次名称")
    private String shiftName;

}
