package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @USER: wangjie
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("物料信息MODEL")
public class SxPartExtModel implements Serializable {

    private static final long serialVersionUID = 4065584098326114566L;

    @ApiParam("id")
    private Long id;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("是否免检")
    private Integer iqc;

    @ApiParam("是否免检")
    private String iqcName;

    @ApiParam("免检达成批次")
    private Integer iqcCount;

    @ApiParam("已免检达成批次")
    private Integer iqcPassCount;

    @ApiParam("生产线编码")
    private String workCenterCode;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam("部品分类")
    private Integer partType;

    @ApiParam("部品分类")
    private String partTypeName;

    @ApiParam("产品分类")
    private String productType;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("检查区分")
    private Integer checkType;

    @ApiParam("检查区分")
    private String checkTypeName;

    @ApiParam("产品阶段")
    private Integer productStage;

    @ApiParam("产品阶段")
    private String productStageName;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("仕向地")
    private String sendAddress;

    @ApiParam("购入方")
    private String purchaser;

    @ApiParam("式样书状态")
    private Integer noteStatus;

    @ApiParam("式样书状态")
    private String noteStatusName;

    @ApiParam("是否出货检")
    private Integer isOqc;

    @ApiParam("是否出货检")
    private String isOqcName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
