package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @USER: wangjie
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("物料信息MODEL")
public class SxPartModel implements Serializable {

    private static final long serialVersionUID = 8559309159134326101L;

    @ApiParam("id")
    private Long id;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("是否出货检")
    private Integer isOqc;

    @ApiParam("是否出货检")
    private String isOqcName;

    @ApiParam("分类1")
    private String categoryCode1;

    @ApiParam("分类2")
    private String categoryCode2;

    @ApiParam("分类3")
    private String categoryCode3;

    @ApiParam("分类1")
    private String categoryCode1Name;

    @ApiParam("分类2")
    private String categoryCode2Name;

    @ApiParam("分类3")
    private String categoryCode3Name;

    @ApiParam("产品分类")
    private String productType;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
