package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.qms.bean.SxQmsQCSn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 质检-处理意见model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/9/22 14:20
 * @Modify:
 **/
@Data
public class SxQcSnModel {

    @ApiParam("质检状态")
    public Integer qcStatus;

    @ApiParam("备注")
    public String remark;

    @ApiParam("目的存储区")
    public String destZoneNo;

    @ApiParam("质检条码")
    public List<SxQmsQCSn> sxQmsQCSnList;

    @ApiParam("质检单号")
    public List<String> orderNoLst;

}
