package cn.estsh.i3plus.pojo.qms.model;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.bean.SxQmsQCMaster;
import cn.estsh.i3plus.pojo.qms.bean.SxQmsQCTransDetails;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 质检拓展model
 * @Author: puxiao
 * @date: 2021-10-08
 */
@Data
@Api("质检作业Model")
public class SxQmsQCHandleModel extends BaseBean {


   // @ApiParam("质检条码")
   // private List<SxQmsQCTransSn> sxQmsQCTransSns;


    @ApiParam("收货条码检测记录结果值")
    private List<SxQmsQCTransDetails> sxQmsQCTransSnDetails;

    @ApiParam("质检主表")
    private SxQmsQCMaster sxQmsQCMaster;

    @ApiParam("品质担当")
    private String qualityUser;



}
