package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-07-14 17:15
 */
@Data
@ApiModel("生产编码规则MODEL")
public class BuNumberRuleModel implements Serializable {

    private static final long serialVersionUID = -8421559191008405471L;
    @ApiParam("规则代码")
    private String ruleCode;

    @ApiParam("规则描述")
    private String ruleDesc;

    @ApiParam("前缀")
    private String prefix;

    @ApiParam("编码规则")
    private String numberRule;

    @ApiParam("序号长度")
    private Integer serialnoLength;

    @ApiParam("增量")
    private Integer serialnoIncrement = 1;

    @ApiParam("起始值")
    private Integer beginVal = 1;

    @ApiParam("最大值")
    private Integer endVal;

    @ApiParam("最大值后循环")
    private Integer isCycle;

    @ApiParam("最大值后不循环的实现类")
    private String implClass;

    @ApiParam("拼接固定字符,多个逗号分隔")
    private String spiltRule;

    @ApiParam("构造入参方法名")
    private String methodName;

    @ApiParam("规则属性长度拼接")
    private String ruleLengthSpilt;

}
