package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验项目明细报表 MODEL")
public class BuOqcCheckDetailReportModel implements Serializable {

    private static final long serialVersionUID = 8121267344743716004L;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("单据号")
    private String oqcNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("检验顺序")
    private Double seq;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("判定基准")
    private String standard;

    @ApiParam("检查器具")
    private String checkTool;

    @ApiParam("判断方式")
    private Integer checkType;

    @ApiParam("判断方式")
    private String checkTypeName;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("备注")
    private String remark;

    @ApiParam("实际值")
    private String checkValue;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("检验结果")
    private String checkResultName;

    @ApiParam("检验结果背景颜色")
    private String checkResultColor;

    @ApiParam("检验人")
    private String checkUser;

    @ApiParam("项目检验时间")
    private String itemCheckTime;

    @ApiParam("确认人")
    private String confirmUser;

    @ApiParam("确认时间")
    private String confirmTime;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建人")
    public String createUser;

    @ApiParam("创建时间")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改时间")
    public String modifyDatetime;

    @ApiParam("id")
    public String idStr;

    @ApiParam("生产日期开始")
    public String workTimeStart;

    @ApiParam("生产日期结束")
    public String workTimeEnd;

}
