package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验缺件确认 MODEL")
public class BuOqcCheckFreConfirmDetailReportModel implements Serializable {

    private static final long serialVersionUID = -277521187974722570L;

    @ApiParam("id")
    public String idStr;

    @ApiParam("工厂")
    public String organizeCode;

    @ApiParam("产品条码")
    public String serialNumber;

    @ApiParam("生产工单号")
    public String workOrderNo;

    @ApiParam("物料号")
    public String partNo;

    @ApiParam("物料名称")
    public String partNameRdd;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("原材料物料编码")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam(value = "原材料物料数量")
    private Double qty;

}