package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验信息model")
public class BuOqcManageModel implements Serializable {

    private static final long serialVersionUID = 5906530688005645492L;
    @ApiParam("id")
    private Long id;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("计划数量")
    private Double planQty;

    @ApiParam("已检测范围数量")
    private Double checkLimit;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("抽检条码")
    private String serialNumber;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("抽检数量")
    private Double spotCheckQty;

    @ApiParam("批次范围")
    private Double batchLimit;

    @ApiParam("检验类型")
    private Integer oqcType;

    @ApiParam("检验类型名称")
    private String oqcTypeName;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("检验结果名称")
    private String checkResultName;

    @ApiParam("检验人")
    private String checkUser;

    @ApiParam("检验时间")
    private String checkTime;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("创建日期开始")
    public String createDatetimeStart;

    @ApiParam("创建日期结束")
    public String createDatetimeEnd;

    @ApiParam("成品=1/组件=2")
    private Integer pageType;

    @ApiParam("抽检范围开始")
    public Integer batchLimitStart;

    @ApiParam("抽检范围结束")
    public Integer batchLimitEnd;

}
