package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验产品信息model")
public class BuOqcPackageDetailModel implements Serializable {

    private static final long serialVersionUID = -844149559622806484L;
    @ApiParam("id")
    private Long id;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("条码")
    private String serialNumber;

    @ApiParam("包装编号")
    private String packageNo;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("检验结果名称")
    private String checkResultName;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

}
