package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019\11\15 10:12
 * @Modify:
 **/
@Data
@Api("BU产量统计班次完工数量MODEL")
public class BuOutPutStatisticsQtyModel implements Serializable {

    private static final long serialVersionUID = -2775383158682668800L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("工单未完成数量")
    private Double unFinishQty;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("生产日期开始")
    private String workTimeStart;

    @ApiParam("生产日期结束")
    private String workTimeEnd;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("销售向")
    private String salesTo;

}
