package cn.estsh.i3plus.pojo.qms.model.bu;


import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.qms.bean.SxQmsErrorLineOff;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author xinwang.yi
 * @version 1.0
 * @date 2022/06/09 14:47
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("缺件确认")
public class MissPartConfirmModel implements Serializable {

    private static final long serialVersionUID = 8139497794986692602L;
    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("补件列表")
    private ListPager<SxQmsErrorLineOff> qmsErrorLineOffs;

    @ApiParam("颜色")
    private String color;

}
