package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-06-06 11:16
 */
@Data
@ApiModel("零件种类model")
public class PartCategoryModel implements Serializable {

    private static final long serialVersionUID = 8370407952155682499L;

    @ApiParam("分类代码")
    private String categoryCode;

    @ApiParam("分类名称")
    private String categoryName;

    @ApiParam("分类类型")
    private String categoryType;

    @ApiParam("ID")
    private Long id;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建人")
    public String createUser;

    @ApiParam("创建时间")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改时间")
    public String modifyDatetime;


}
