package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("当日质检数量状态统计MODEL")
public class SxBuOqcCurDayStatisticsModel implements Serializable {

    private static final long serialVersionUID = 1187930403678538147L;

    @ApiParam("计划质检数量")
    private List<Integer> planQtyList;

    @ApiParam("实际质检数量")
    private List<Integer> qtyList;

    @ApiParam("柱状图X轴:时间戳")
    private List<String> xList;
}
