package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验检验项MODEL")
public class SxBuOqcManageCheckDetailModel implements Serializable {

    private static final long serialVersionUID = -2783970854717430437L;

    @ApiParam("idStr")
    private String idStr;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("检验顺序")
    private Double seq;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("检验项目ID")
    public Long pid;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("判定基准")
    private String standard;

    @ApiParam("判断方式")
    private Integer checkType;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("检查器具")
    private String checkTool;

    @ApiParam("备注")
    private String remark;

    @ApiParam("实际值")
    private String checkValue;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("项目检验时间")
    private String itemCheckTime;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("判断方式")
    private String checkTypeName;

}
