package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description: Bu文件模板类
 * @author: jiaqi.hou
 * @date: 2022/08/24
 */
@Data
@ApiModel("Bu文件Model")
public class SxBuQmsFileModel {
    @ApiParam("文件原名")
    private String fileOriginName;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新日期")
    private String modifyDatetime;

    @ApiParam("文件格式 前端用")
    private String fileType;

    @ApiParam("文件名称 前端用")
    private String fileName;

    public SxBuQmsFileModel() {
    }

    public SxBuQmsFileModel(String fileOriginName, String fileUrl, String uploadDatetime, String createUser,
                            String createDatetime, String modifyUser, String modifyDatetime, String fileType, String fileName) {
        this.fileOriginName = fileOriginName;
        this.fileUrl = fileUrl;
        this.uploadDatetime = uploadDatetime;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.fileType = fileType;
        this.fileName = fileName;
    }
}
