package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @description: 质检规格书与变更履历model
 * @author: jiaqi.hou
 */
@Data
@ApiModel("质检规格书与变更履历model")
public class SxQualityInspectionSpecificationAndChangeResumeModel {
    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("出模数")
    private Integer outQty;

    @ApiParam(value = "抽检数量")
    private Integer checkQty;

    @ApiParam("变更联络单号")
    private String changeTheContactNumber;

    @ApiParam("变更时间")
    private String changeTime;

    @ApiParam("变更内容")
    private String changeContent;

    @ApiParam("检验作业页面,变更履历底色")
    private String color;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("单据类型")
    private String itemTypeName;

    @ApiParam("物料数量")
    private Double partQty;

    @ApiParam("实际变更时间")
    private String actualChangeTime;

    @ApiParam("图号")
    private String pictrueNo;

    @ApiParam(value = "机种名称")
    private String machineName;
}
