package cn.estsh.i3plus.pojo.qms.util;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.StringUtils;

import java.util.Objects;

/**
 * @Description :
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2018-10-23 15:53
 * @Modify:
 **/

public class QmsEnumUtil {

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QMS_EXT_EXCEL {
        SX_QMS_PROJECT_TYPE_RC(10, "sxProjectTypeRcExcelService", "受检项目类型"),
        SX_QMS_PROJECT_TYPE_OQC(20, "sxProjectTypeOqcExcelService", "出货检验项目类型"),
        SX_QMS_OQC_RULE_NOTE_DETAIL(30, "sxOqcRuleNoteExcelService", "出货检验式样式明细"),
        SX_QMS_PART(40, "sxQmsPartExtExcelService", "品质属性"),
        SX_QMS_RC_INSPECTION_FREE(50, "sxQmsRcInspectionFreeExcelService", "免检清单"),
        SX_QMS_RC_RULE_NOTE(60, "sxQmsRcRuleNoteExcelService", "收货物料品质规格书"),
        SX_QMS_IMPROVEMENT_EXPERIENCE(70, "sxQmsImprovementExperienceExcelService", "改善经验库"),
        SX_QMS_MANAGEMENT_TEST_MONITORING(80, "sxQmsManagementTestMonitoringExcelService", "管理试验监控"),
        SX_QMS_RECHECK_INSTRUCTION(90, "sxQmsRecheckInstructionExcelService", "再检指示书"),
        SX_QMS_LIMIT_COLOR_CFG(110, "sxLimitColorCfgExcelService", "上下限颜色配置"),
        SX_QMS_MONITOR_MANAGE_ROHS(120, "sxMonitorManageRohsExcelService", "RoHS监控管理"),
        SX_QMS_EVALUATION_MANAGE(130, "sxEvaluationManageExcelService", "评价管理"),
        SX_QMS_MONITOR_MANAGE_MANAGEMENT_TEST(140, "sxMonitorManageManagementTestExcelService", "管理试验监控管理"),
        SX_QMS_BADNESS(150, "sxBadnessExcelService", "不良点维护"),
        SX_QMS_DEFECT_RATE_TARGET(160, "sxDefectRateTargetExcelService", "不良率目标"),
        SX_QMS_MACHINE(170, "sxQmsMachineExcelService", "机种信息"),
        SX_QMS_ENUM(180, "sxQmsEnumExcelService", "字典信息"),
        SX_QMS_PROJECT_INSPECTION_MASTER(190, "sxQmsProjectInspectionMasterExcelService", "工程巡查任务维护"),
        SX_QMS_PROJECT_INSPECTION_DETAILS(200, "sxQmsProjectInspectionDetailsExcelService", "工程巡查任务维护明细"),
        SX_QMS_KNOWHOW(210, "sxQmsKnowhowExcelService", "KNOWHOW集"),
        SX_QMS_PART_WORK_CENTER(220, "sxQmsPartWorkCenterExcelService", "物料产线"),
        SX_QMS_BU_OQC_PROJECT(230, "sxBuOqcProjectExcelService", "BU出货检验项目"),
        SX_QMS_BU_BADNESS_TYPE(240, "sxBuBadnessTypeExcelService", "BU不良类型"),
        SX_QMS_BU_BADNESS_CLASSIFY(250, "sxBuBadnessClassifyExcelService", "BU不良分类"),
        SX_QMS_BU_BADNESS_CLASSIFY_DETAIL(260, "sxBuBadnessClassifyDetailExcelService", "不良分类明细"),
        SX_QMS_BU_PART_EXCEL_SERVICE(270, "sxQmsBuPartExcelService", "BU物料信息"),
        SX_QMS_PRODUCT_CLASSIFICATION_EXCEL_SERVICE(280, "sxQmsBuProductClassificationExcelService", "BU产品分类"),
        SX_QMS_RC_RULE_NOTE_EXCEL_SERVICE(290, "sxQmsBURcRuleNoteExcelService", "BU零部件检验规格书"),
        SX_QMS_BU_INSPECTION_METHOD_CHANGE_MANAGEMENT_EXCEL_SERVICE(300, "sxQmsBUInspectionMethodChangeManagementExcelService", "BU检验方式变更管理"),
        SX_QMS_PROJECT_SORT(310, "sxQmsProcedureProjectExcelService", "质量巡检项目"),
        SX_QMS_CAUSE_CLASSIFY(320, "sxQmsCauseClassifyExcelService", "原因分类"),
        SX_QMS_BU_CHANGE_RESUME_EXCEL_SERVICE(330, "sxQmsBUChangeResumeExcelService", "BU变更履历"),
        SX_BU_QMS_EVALUATION_MANAGE(340, "sxBuEvaluationManageExcelService", "BU评价管理"),
        SX_BU_QMS_IMPROVEMENT_EXPERIENCE(350, "sxBuQmsImprovementExperienceExcelService", "BU改善经验库"),
        SX_QMS_BU_CUSTOMER_COMPLAINT_EXCEL_SERVICE(360, "sxQmsBuCustomerComplaintExcelService", "BU客诉导入"),
        SX_QMS_BU_CAREER_EXCEL_SERVICE(370,"sxQmsBuCareerExcelService","BU事业别导入"),
        SX_QMS_AFFECTED_MANAGEMENT_TEST_MONITORING_EXCEL_SERVICE(380,"sxQmsAffectedManagementTestMonitoringExcelService","受入管理试验监控导入"),
        SX_QMS_SHIPMENT_MANAGEMENT_TEST_MONITORING_EXCEL_SERVICE(390,"sxQmsShipmentManagementTestMonitoringExcelService","出货管理试验监控导入"),
        SX_QMS_ODM_MANAGEMENT_TEST_MONITORING_EXCEL_SERVICE(400,"sxQmsODMManagementTestMonitoringExcelService","ODM管理试验监控导入"),
        SX_QMS_BU_MONITOR_MANAGE_ROHS(410,"sxBuMonitorManageRohsExcelService","BU-RoHS检测导入"),
        SX_QMS_BU_PROJECT_TYPE_RC(420, "sxBuProjectTypeRcExcelService", "BU受检项目类型"),
        SX_QMS_BU_IQC_LIST_EXCEL_SERVICE(430,"sxQmsBuIqcListExcelService","BU免检清单导入"),
        SX_QMS_RULES_OF_DOCUMENT_GENERATION_EXCEL_SERVICE(440,"sxQmsRulesOfDocumentGenerationExcelService","ODM/OEM单据生成规则导入"),
        SX_QMS_BU_OUTSOURCED_COMMODITY_SUPPLIERS_EXCEL_SERVICE(450,"sxQmsBuOutsourcedCommoditySuppliersExcelService","委外商品供应商报告导入"),
        SX_QMS_BU_O_DM_RC_RULE_NOTE_EXCEL_SERVICE(460,"sxQmsBuODMRcRuleNoteExcelService","ODM零部件检验规格书导入"),
        SX_QMS_BU_O_DM_RC_RULE_NOTE_DETAILS_EXCEL_SERVICE(470,"sxQmsBuODMRcRuleNoteDetailsExcelService","ODM零部件检验项目导入");






        private int value;
        private String service;
        private String description;

        QMS_EXT_EXCEL(int value, String service, String description) {
            this.value = value;
            this.service = service;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getService() {
            return this.service;
        }

        public String getDescription() {
            return this.description;
        }

        public static QmsEnumUtil.QMS_EXT_EXCEL getByValue(int value) {
           QmsEnumUtil.QMS_EXT_EXCEL[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                QmsEnumUtil.QMS_EXT_EXCEL excel = var1[var3];
                if (excel.getValue() == value) {
                    return excel;
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfService(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].service;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public enum BATCH_FILE_IMPORT_MODULE {
        OQC_RULE_NOTE("OQC_RULE_NOTE", "出货检验式样书"),
        SX_QMS_RC_RULE_NOTE("SX_QMS_RC_RULE_NOTE", "收货检验式样书"),
        SX_QMS_ODM_RC_RULE_NOTE("SX_QMS_ODM_RC_RULE_NOTE", "ODM收货检验式样书");

        private String description;
        private String value;

        private BATCH_FILE_IMPORT_MODULE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }
    }

    /**
     * EP出货检验操作方式
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EP_QMS_OQC_MANAGE_SN_TYPE {
        SERIAL_NUMBER("10", "epQmsOqcManageBySerialNumberService", "产品条码"),
        PACKAGE_NO("20", "epQmsOqcManageByPackageNoService", "包装条码"),
        MANUAL("30", "epQmsOqcManageByManualService", "手动检验");

        private String value;
        private String execClass;
        private String description;

        EP_QMS_OQC_MANAGE_SN_TYPE(String value, String execClass, String description) {
            this.value = value;
            this.execClass = execClass;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getExecClass() {
            return execClass;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfExecClass(String value) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    tmp = values()[i].execClass;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(String value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    description = values()[i].description;
                }
            }
            return description;
        }
    }

    /**
     * BU出货检验操作方式
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_QMS_OQC_MANAGE_ACTION_TYPE {
        SERIAL_NUMBER("10", "buQmsOqcBySnManageService", "buQmsOqcBySnGenService", "buQmsOqcBySnManualService", "buQmsOqcBySnManualGenService", "成品检验"),
        ZJ("20", "buQmsOqcByZjManageService", "buQmsOqcByZjGenService", "buQmsOqcByZjManualService", "buQmsOqcByZjManualGenService",  "组件检验");

        private String value;
        private String queryClass;
        private String execClass;
        private String queryClass2;
        private String execClass2;
        private String description;

        BU_QMS_OQC_MANAGE_ACTION_TYPE(String value, String queryClass, String execClass, String queryClass2, String execClass2, String description) {
            this.value = value;
            this.queryClass = queryClass;
            this.execClass = execClass;
            this.queryClass2 = queryClass2;
            this.execClass2 = execClass2;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getQueryClass() { return queryClass; }

        public String getExecClass() {
            return execClass;
        }

        public String getQueryClass2() { return queryClass2; }

        public String getExecClass2() { return execClass2; }

        public String getDescription() {
            return description;
        }

        public static String valueOfQueryClass(String value) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    tmp = values()[i].queryClass;
                }
            }
            return tmp;
        }

        public static String valueOfExecClass(String value) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    tmp = values()[i].execClass;
                }
            }
            return tmp;
        }

        public static String valueOfQueryClass2(String value) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    tmp = values()[i].queryClass2;
                }
            }
            return tmp;
        }

        public static String valueOfExecClass2(String value) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    tmp = values()[i].execClass2;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(String value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    description = values()[i].description;
                }
            }
            return description;
        }
    }

    /**
     * 出货检验:检测方式
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QMS_OQC_TYPE {
        NORMAL(10, "正常检验"),
        MANUAL(20, "手动检验");

        private int value;
        private String description;

        QMS_OQC_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == value) {
                    description = values()[i].description;
                }
            }
            return description;
        }
    }

    /**
     * 出货检验单据结果
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QMS_OQC_CHECK_RESULT {
        QUALIFIED(10, "合格"),
        UN_QUALIFIED(20, "不合格");

        private int value;
        private String description;

        QMS_OQC_CHECK_RESULT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int value) {
            String description = "";
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == value) {
                    description = values()[i].description;
                }
            }
            return description;
        }

    }

    /**
     * 出货检验单据检验项结果
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QMS_OQC_CHECK_DETAIL_RESULT {
        OK(10, "OK"),
        NG(20, "NG");

        private int value;
        private String description;

        QMS_OQC_CHECK_DETAIL_RESULT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == value) {
                    description = values()[i].description;
                }
            }
            return description;
        }

    }

    /**
     * 出货检验原因区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EP_QMS_OQC_CHECK_DUTY_DIFF {
        ZZ("10", "制造"),
        BP("20", "部品"),
        JS("30", "技术"),
        QT("40", "其他");
        private String value;
        private String description;

        EP_QMS_OQC_CHECK_DUTY_DIFF(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    description = values()[i].description;
                }
            }
            return description;
        }

    }

    /**
     * 工程不良原因区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EP_ENGINEERING_DEFECT_TYPE {
        BP("10", "部品"),
        GC("20", "工程"),
        JS("30", "技术"),
        ZZ("40", "制造"),
        QT("50", "其他");

        private String value;
        private String description;

        EP_ENGINEERING_DEFECT_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(value)) {
                    description = values()[i].description;
                }
            }
            return description;
        }

    }

    /**
     * 项目类型所属模块类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PROJECT_TYPE_MODULE {
        RC(10, "受入检验"),
        OQC(20, "出货检验");

        private int value;
        private String description;

        PROJECT_TYPE_MODULE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }


        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 部品分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PART_PRODUCT_TYPE {
        SAFE_PARTS(10, "安全部品"),
        ORDINARY_PARTS(20, "普通部品");

        private int value;
        private String description;

        PART_PRODUCT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static PART_PRODUCT_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String description) {
            int value = 0;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    value = values()[i].value;
                }
            }
            return value;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 检查区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PART_CHECK_TYPE {
        INSPECTION_FREE(10, "免检"),
        NORMAL_INSPECTION(20, "正常检验");

        private int value;
        private String description;

        PART_CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static PART_CHECK_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String description) {
            int tmp = 0;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 10-量产品、20新品MP、30-新品前3个月
     * 产品阶段类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PRODUCT_STAGE_TYPE {
        PRODUCTION(10, "量产品"),
        NEW_PRODUCTION_MP(20, "新品MP"),
        NEW_PRODUCTION_BEFORE_THREE_MONTH(30, "新品前3个月");

        private int value;
        private String description;

        PRODUCT_STAGE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static PRODUCT_STAGE_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static int descriptionOfValue(String description) {
            int tmp = 0;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 式样书状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum NOTE_STATUS_TYPE {
        EFFECTIVE(10, "有效"),
        UN_EFFECTIVE(20, "无效");

        private int value;
        private String description;

        NOTE_STATUS_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static NOTE_STATUS_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String description) {
            int tmp = -1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
    /**
     * BU式样书状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_NOTE_STATUS_TYPE {
        CREATING(10, "创建中"),
        EFFECTIVE(20, "有效");

        private int value;
        private String description;

        BU_NOTE_STATUS_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static BU_NOTE_STATUS_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String description) {
            int tmp = -1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 检测结果类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QC_MODE_TYPE {
        MAN_QC(10, "人工"),
        FREE_QC(20, "免检"),
        SAME_DATE_CODE_QC(30, "同批次应用");

        private int value;
        private String description;

        QC_MODE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static QC_MODE_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }


    /**
     * 检测结果
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QC_STATUS {
        INQUALITY(10, "INQUALITY", "质检中"),
        NORMAL(20, "NORMAL", "OK"),
        ABNORMAL(30, "ABNORMAL", "NG");

        private int value;
        private String code;
        private String description;

        QC_STATUS(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getCode(){return code;}

        public String getDescription() {
            return description;
        }

        public static QC_STATUS codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 10-待检中,20-检查中，30-同批次应用
     * 单据状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QC_INFO_STATUS {
        CREATE(10, "待检中"),
        HANDLEING(20, "检查中"),
        FINISH(30, "完成"),
        SECOND_JUDGMENT(80, "二次判定");

        private int value;
        private String description;

        QC_INFO_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static QC_INFO_STATUS codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CHECK_JUDGE_TYPE {

        RESULT_TYPE(10, "结果类型"),
        COMPARE_TYPE(20, "比值类型");
        private int value;
        private String description;

        CHECK_JUDGE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 客诉类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum COMPLAINT_TYPE {

        ABNORMAL_CONTACT(10, "异常联络"),
        QUICK_REPORT(20, "速报");

        private int value;
        private String description;

        COMPLAINT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 异常场所
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ABNORMAL_SOURCE {
        MARKET_BADNESS(10, "市场不良"),//客诉的单号(市场)
        AOG_BADNESS(20, "到货不良"),//客诉的单号(到货)
        OQC_BADNESS(30, "出货检查"),//出货检查
        RECEIVE_BADNESS(40, "受入检查"),//受入
        PROJECT_BADNESS(50, "工程不良"),//制造工程
        JUDGEMENT(60, "改判"),
        ORTHER(70, "其它");
        private int value;
        private String description;

        ABNORMAL_SOURCE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 缺陷等级
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum DEFECT_LEVEL {

        MINOR_DEFECT(10, "轻度缺陷"),
        MODERATE_DEFECT(20, "中度缺陷"),
        SEVERE_DEFECT(30, "重度缺陷");

        private int value;
        private String description;

        DEFECT_LEVEL(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }


        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 发生情况
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum SITUATION {

        INCIPIENT(10, "初发"),
        RECURRENCE(20, "再发");

        private int value;
        private String description;

        SITUATION(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 客诉单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum COMPLAINT_STATUS {

        CREATED(10, "已创建"),
        PARSED(20, "已分析"),
        CHANGED(30, "已整改"),
        CONFIRMED(40, "已确认");

        private int value;
        private String description;

        COMPLAINT_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
        public static enum TRUE_OR_FALSE {
        TRUE(1, "是"),
        FALSE(2, "否");

        private int value;
        private String description;

        private TRUE_OR_FALSE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public String getValueStr() {
            return this.value + "";
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum SYNC_STATUS {
        TRUE(1, "是"),
        FALSE(2, "否"),
        FAILED(3, "失败");

        private int value;
        private String description;

        private SYNC_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public String getValueStr() {
            return this.value + "";
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum CONFIRM_STATUS {
        TRUE(10, "已确认"),
        FALSE(20, "未确认");

        private int value;
        private String description;

        private CONFIRM_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 制造部门、技术部门、品质部门人员
     * 责任区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum DUTY_DIFF {
        PRODUCE(10, "PRODUCE", "制造"),//制造部门
        COMPONENT(20, "COMPONENT", "部品"),//物管，调达，受入
        TECHNOLOGY(30, "TECHNOLOGY", "技术"),///技术部门
        OTHER(40, "OTHER", "其它");//品质部门人员

        private int value;
        private String description;

        private DUTY_DIFF(int value, String code, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getValueStr() {
            return this.value + "";
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueStrOfDescription(String val) {
            try {
                return valueOf(Integer.parseInt(val));
            } catch (NumberFormatException e) {
                return null;
            }
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 原因项目
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum REASON_PROJECT {
        MAKE_ASSEMBLAGE(10, "制造-组立"),
        COMPONENT_MOLDING(20, "部品-成型"),
        ASSEMBLAGE(30, "组立"),
        ELECTRIC_FITTING(40, "电装"),
        WELDING(50, "熔接"),
        TECHNOLOGY(60, "技术"),
        DESIGN(70, "设计"),
        OTHER(80, "其他");

        private int value;
        private String description;

        private REASON_PROJECT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 费用有无
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum IS_COST {
        YES(10, "有"),
        NO(20, "无");

        private int value;
        private String description;

        private IS_COST(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 是否实物返回
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum IS_ENTITY_RETURN {
        YES(10, "是"),
        NO(20, "否");

        private int value;
        private String description;

        private IS_ENTITY_RETURN(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 对策前后
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum COUNTERMEASURE_ACTION {
        BEFORE(10, "前"),
        AFTER(20, "后");

        private int value;
        private String description;

        private COUNTERMEASURE_ACTION(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 回复状态 10-是，20-否
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum REPLY_STATUS {
        YES(10, "是"),
        NO(20, "否");

        private int value;
        private String description;

        private REPLY_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 发往DB 10-中国语、20-日本语
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum SHIPPING_BD {
        CHINESE(10, "中国语"),
        JAPANESE(20, "日本语");

        private int value;
        private String description;

        private SHIPPING_BD(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }


        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 2;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum QC_INFO_TYPE {
        FEED(10, "来料检验"),
        ONLINE(20, "在线检验"),
        EMDPRODUCT(30, "成品检验"),
        SHIPMENTS(40, "出货检验");

        private int value;
        private String description;

        private QC_INFO_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }
    }

    /**
     * 工程巡检任务单据状态
     */
    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum PROJECT_INSPECTION_TASK_ORDER_STATUS {
        CREATED(10, "已创建"),
        COMPLETED(20, "已完成");

        private int value;
        private String description;

        private PROJECT_INSPECTION_TASK_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum INSPECTION_FREE_STATUS {
        EFFECT(1, "生效"),
        UN_EFFECT(2, "失效");

        private int value;
        private String description;

        private INSPECTION_FREE_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum IF_SYNC_STATUS {
        ALREADY_SYNC(1, "已同步"),
        NO_SYNC(2, "未同步");

        private int value;
        private String description;

        private IF_SYNC_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * WORK_ORDER_TYPE 工单类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum WORK_ORDER_TYPE {
        STANDARD_ORDER(10, "正常工单"),
        ATTEMPT_ORDER(20, "试制工单"),
        REWORK_ORDER(30, "返工工单");

        private int value;
        private String description;

        WORK_ORDER_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum PASS_OR_NO_PASS {
        PASS(10, "通过"),
        NO_PASS(20, "拒绝");

        private int value;
        private String description;

        private PASS_OR_NO_PASS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum ABNORMAL_ORDER_STATUS {
        CREATE(10, "创建"),
        CONFIRMING(20, "确认中"),
        CONFIRM(30, "发行"),
        APPLY(40, "回复"),
        FINISH(50, "完成");

        private int value;
        private String description;

        private ABNORMAL_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum SAFETY_MGR_TYPE {
        NECESSARY(10, "必要"),
        UNNECESSARY(20, "非必要");

        private int value;
        private String description;

        private SAFETY_MGR_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    /**
     * 枚举：特采、选别、修正、退货、返工、、出货停止。其他
     * 处理结果
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum ABNORMAL_DETAIL_OPTION {
        SPECIAL(10, "特采"),
        XUANBIE(20, "选别"),
        REPAIRE(30, "修正"),
        RETURN(40, "退货"),
        REWORK(50, "返工"),
        SHIP_STOP(60, "出货停止"),
        OTHER(70, "其它");


        private int value;
        private String description;

        private ABNORMAL_DETAIL_OPTION(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 产品分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EP_PRODUCT_TYPE {
        XYJ(10, "洗衣机"),
        XWJ(20, "洗碗机"),
        DFB(30, "电饭煲"),
        OTHERS(40, "其他");

        private int value;
        private String description;

        EP_PRODUCT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * ROHS 分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MONITOR_MANAGE_CLASSIFY {
        SL(10, "塑料"),
        BJ(20, "钣金"),
        DZ(30, "电子"),
        YS(40, "印刷"),
        XJ(50, "橡胶"),
        OTHER(60, "其他");

        private int value;
        private String description;

        MONITOR_MANAGE_CLASSIFY(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * ROHS 等级
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MONITOR_MANAGE_LEVEL {
        KA(10, "Ka"),
        KB1(20, "Kb1"),
        KB3(30, "Kb3"),
        KB6(40, "Kb6");

        private int value;
        private String description;

        MONITOR_MANAGE_LEVEL(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 评价管理 原因分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EVALUATION_MANAGE_CAUSE_TYPE {
        CR(10, "CR"),
        ZZBG(20, "制造变更"),
        SJBG(30, "设计变更"),
        RoHS(40, "RoHS");

        private int value;
        private String description;

        EVALUATION_MANAGE_CAUSE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 10-物管确认，20-调达确认，30-发行，40-联络单确认，50-联络单确认回复,60-发行部门确认
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ABNORMAL_CONFIRM_TYPE {
        MANAGEMENT_CONFIRM(10, "物管确认"),
        TUNE_CONFIRM(20, "调达确认"),
        RECEIVE_IN_CONFIRM(30, "受入确认"),
        CONTACT_CONFIRM(40, "联络单确认"),
        CONTACT_CONFIRM_REPLY(50, "联络单确认回复"),
        ISSUE_DEPARTMENT_CONFIRM(60, "回复确认"),
        SUPERVISOR_CONFIRM(70, "课长确认"),
        QUALITY_DIRECTOR_CONFIRM(80, "品质部长确认"),
        MATERIL_CONFIRM(90, "资材确认"),
        CHECK_CONFIRM(100, "检印确认"),
        RECOGNIZE_CONFIRM(110, "承认确认"),
        ABNORMAL_APPLY(120, "联络单回复"),
        DIRECTOR_CONFIRM(130, "部长确认");

        private int value;
        private String description;

        ABNORMAL_CONFIRM_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 再检指示书
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum INSTRUCTION_STATUS {
        CREATED(10, "已创建"),
        COMPLETED(20, "已完成");

        private int value;
        private String description;

        private INSTRUCTION_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * 上下限颜色配置模块
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum LIMIT_COLOR_MODULE {
        RoHS(10, "RoHS监控"),
        MANAGEMENT_TEST(20, "管理试验监控");

        private int value;
        private String description;

        LIMIT_COLOR_MODULE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * RoHS检测/管理试验监控 模块
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MONITOR_MANAGE_MODULE {
        ROHS(10, "RoHS监控"),
        MANAGEMENT_TEST(20, "管理试验监控");

        private int value;
        private String description;

        MONITOR_MANAGE_MODULE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 上下限颜色配置颜色代码
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum COLOR_CODE {
        RED("Red", "红色"),
        YELLOW("Yellow", "黄色"),
        WHITE("White", "白色");

        private String value;
        private String description;

        COLOR_CODE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 不良模块配置
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BADNESS_MODULE {
        CUSTOMER_COMPLAIN(10, "客诉");

        private Integer value;
        private String description;

        BADNESS_MODULE(Integer value, String description) {
            this.value = value;
            this.description = description;
        }

        public Integer getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 物料类型
     */
    public static enum WMS_PART_TYPE_STR {
        RAW_MATERIAL(10, "原材料"),
        PARTIALLY_PREPARED_PRODUCTS(20, "半成品"),
        FINISHED_PRODUCT(30, "成品"),
        CONTAINER_PRODUCT(40, "容器"),
        UTENSIL(50, "器具");

        private int value;
        private String description;

        private WMS_PART_TYPE_STR(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descriptionOfValue(String val) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(val)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }


    /**
     * 紧急联络会、生产停止、部品全检、其它。
     * 安全判定要求
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum SAFETY_JUDGE_TYPE {
        EMERGENCY_CONTACT(10, "紧急联络会"),
        PRODUCTION_STOP(20, "生产停止"),
        PART_ALL_CHECK(30, "部品全检"),
        OTHER(40, "其它");

        private int value;
        private String description;

        private SAFETY_JUDGE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = -1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }


    /**
     * 文件业务类型
     */
    public enum FILE_MODULE_TYPE {
        ABNORMAL(10, "异常联络单"),
        IMPROVEMENT_EXPERIENCE_PD(20, "问题描述附件"),//改善经验库
        IMPROVEMENT_EXPERIENCE_SOLUTION(30, "解决方案附件"),//改善经验库
        QC_RULE_MOTE(40, "质检规格书"),
        EVALUATION_MOTE(50, "评价管理"),
        OUT_SOURCED(60, "委外商品供应商报告");

        private int value;
        private String description;

        private FILE_MODULE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 异常频次Frequency
     */
    public enum ABNORMAL_FREQUENCY {
        FIRST(10, "初次发生"),
        AGAIN(20, "再次发生"),
        MULT(30, "多次发生");
        private int value;
        private String description;

        private ABNORMAL_FREQUENCY(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }


    /**
     * 加工场所（公司内部、公司外部）
     */
    public enum WORK_SITE {
        IN_CONPANY(10, "公司内部"),
        OUT_COMPANY(20, "公司外部");
        private int value;
        private String description;

        private WORK_SITE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }


    /**
     * 原因分析（作业人员、设备/机器、原材料、作业方法、环境因素、管理上不完善、作业指导文件和管理资料不足、其他。）
     */
    public enum ABNORMAL_ANALYSIS_CAUSE {
        OPERATOR(10, "作业人员"),
        MACHINE(20, "设备/机器"),
        RAW_MATERIAL(30, "原材料"),
        OPERATION(40, "作业方法"),
        ENVIRONMENT(50, "环境因素"),
        MANAGERMENT(60, "管理上不完善"),
        INSTRUCTION_AND_MANAGERMENT(70, "作业指导文件和管理资料不足"),
        OTHER(80, "其它");
        private int value;
        private String description;

        private ABNORMAL_ANALYSIS_CAUSE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * //外观(appearance)、尺寸(20)、实验(experiment)
     * 不良项目 性能和组装
     */
    public enum ABNORMAL_TYPE {
        APPEARANCE(10, "外观"),
        SIZE(20, "尺寸"),
        EXPERRIMENT(30, "实验"),
        PROPERTY(40, "性能"),
        PACKAGING(50, "组装");

        private int value;
        private String description;

        private ABNORMAL_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 出货检验月报日报查询维度(数据)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_CATEGORY_OR_SALESTO_OR_PART {

        CATEGORY_CODE3(10, "产品类别"),
        SALES_TO(20, "销售向"),
        PART_NO(30, "物料编码");

        private int value;
        private String description;

        REPORT_DIMENSION_CATEGORY_OR_SALESTO_OR_PART(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static QmsEnumUtil.REPORT_DIMENSION_CATEGORY_OR_SALESTO_OR_PART getByValue(int value) {
            QmsEnumUtil.REPORT_DIMENSION_CATEGORY_OR_SALESTO_OR_PART[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                QmsEnumUtil.REPORT_DIMENSION_CATEGORY_OR_SALESTO_OR_PART dimension = var1[var3];
                if (dimension.getValue() == value) {
                    return dimension;
                }
            }
            return null;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 报表查询维度(数据)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_DATE_OR_CENTER {

        DATE(10, "日期"),
        CENTER(20, "生产线");

        private int value;
        private String description;

        REPORT_DIMENSION_DATE_OR_CENTER(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static QmsEnumUtil.REPORT_DIMENSION_DATE_OR_CENTER getByValue(int value) {
            QmsEnumUtil.REPORT_DIMENSION_DATE_OR_CENTER[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                QmsEnumUtil.REPORT_DIMENSION_DATE_OR_CENTER dimension = var1[var3];
                if (dimension.getValue() == value) {
                    return dimension;
                }
            }
            return null;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 报表查询维度(日期)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_DAY_OR_MONTH_OR_YAER {

        YEAR(10, "年"),
        MONTH(20, "月"),
        DAY(30, "日");

        private int value;
        private String description;

        REPORT_DIMENSION_DAY_OR_MONTH_OR_YAER(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 报表查询维度(日期)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_DAY_OR_MONTH {

        MONTH(10, "月"),
        DAY(20, "日");

        private int value;
        private String description;

        REPORT_DIMENSION_DAY_OR_MONTH(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 出货检验报表查询维度(数据)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_OQC_CEHCK_STATISTICS {

        PRODUCT_TYPE(10, "产品分类"),
        CATEGORY_CODE(20, "机种分类"),
        PART_NO(30, "物料编码"),
        WORK_CENTER_CODE(40, "生产线");

        private int value;
        private String description;

        REPORT_DIMENSION_OQC_CEHCK_STATISTICS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static QmsEnumUtil.REPORT_DIMENSION_OQC_CEHCK_STATISTICS getByValue(int value) {
            QmsEnumUtil.REPORT_DIMENSION_OQC_CEHCK_STATISTICS[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                QmsEnumUtil.REPORT_DIMENSION_OQC_CEHCK_STATISTICS dimension = var1[var3];
                if (dimension.getValue() == value) {
                    return dimension;
                }
            }
            return null;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 工程不良报表查询维度(数据)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_DIMENSION_ENGINEERING_BAD {

        DATE(10, "日期"),
        DUTY_DIFF(20, "原因区分"),
        DEFECT(30, "缺陷"),
        HAPPEN_STATION(40, "发生岗位"),
        REPAIR_CODE(50, "维修措施");

        private int value;
        private String description;

        REPORT_DIMENSION_ENGINEERING_BAD(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static QmsEnumUtil.REPORT_DIMENSION_ENGINEERING_BAD getByValue(int value) {
           QmsEnumUtil.REPORT_DIMENSION_ENGINEERING_BAD[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                QmsEnumUtil.REPORT_DIMENSION_ENGINEERING_BAD dimension = var1[var3];
                if (dimension.getValue() == value) {
                    return dimension;
                }
            }
            return null;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

    }

    /**
     * 不良率目标数据分类
     */
    public enum DATA_TYPE {
        PRODUCT_TYPE(10, "产品分类"),
        WORK_CENTER(20, "线别"),
        MACHINE_CODE(30, "机种分类"),
        NO_TYPE(40, "无类型");

        private int value;
        private String description;

        private DATA_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(Integer productType, String workCenterCode, String machineCode) {
            if (!StringUtils.isEmpty(productType)) {
                return DATA_TYPE.PRODUCT_TYPE.value;
            } else if (!StringUtils.isEmpty(workCenterCode)) {
                return DATA_TYPE.WORK_CENTER.value;
            } else if (!StringUtils.isEmpty(machineCode)) {
                return DATA_TYPE.MACHINE_CODE.value;
            } else {
                return DATA_TYPE.NO_TYPE.value;
            }
        }
    }

    /**
     * 停止指示书单据状态
     */
    public enum STOP_ORDER_STATUS {
        CREATED(10, "停止"),
        RELIEVED(20, "解除");

        private int value;
        private String description;

        STOP_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 出货停止指示书解除对象范围
     */
    public enum SHIP_STOP_RELIEVE_RANGE {
        SAME_MACHINE(10, "和停止时同一机种"),
        SAME_QUANTITY(20, "同样台数"),
        REDUCED(30, "由于选别等措施后有所减少");

        private int value;
        private String description;

        SHIP_STOP_RELIEVE_RANGE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 出货停止指示书再检方式
     */
    public enum SHIP_STOP_RE_CHECK_MODE {
        SPOT_CHECK(10, "抽检检查"),
        ALL_CHECK(20, "全数检查");

        private int value;
        private String description;

        SHIP_STOP_RE_CHECK_MODE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 生产停止指示书变更内容
     */
    public enum PRODUCT_STOP_CHANGE_CONTENT {
        SPARE_PART_TEST(10, "零部件检验规格书"),
        PRODUCT_TEST(20, "产品检验规格书"),
        TASK_INSTRUCTION(30, "作业指导书"),
        MANAGEMENT_PROCESS(40, "管理工序图");

        private int value;
        private String description;

        PRODUCT_STOP_CHANGE_CONTENT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 异常场所
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum KS_ABNORMAL_SOURCE {

        MARKET_BADNESS(10, "市场不良"),//客诉的单号
        AOG_BADNESS(20, "到货不良");//受入

        private int value;
        private String description;

        KS_ABNORMAL_SOURCE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 供应商Q评价-缺陷等级及分数-加减分形式
     */
    public enum VQE_PLUS_MINUS_FORM {
        INCOMING_INSPECTION(10, "受入检查"),
        MANUFACTURING_ENGINEERING(20, "制造工程"),
        MARKET_FEEDBACK(30, "市场反馈"),
        QUALITY_MANAGEMENT(40, "品质管理"),
        ARTIFICIAL(50, "人工加减分");

        private int value;
        private String description;

        VQE_PLUS_MINUS_FORM(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static int[] getEnumValue(Integer count) {
            int[] enumValue = new int[count];
            for (int i = 0; i < count; i++) {
                enumValue[i] = values()[i].value;
            }
            return enumValue;
        }

        public static int[] getEnumValue() {
            int[] enumValue = new int[values().length];
            for (int i = 0; i < values().length; i++) {
                enumValue[i] = values()[i].value;
            }
            return enumValue;
        }

    }

    /**
     * 供应商Q评价-缺陷等级及分数-缺陷等级
     */
    public enum VQE_DEFECT_GRADE {
        MINOR_DEFECT(10, "轻度缺陷"),
        MODERATE_DEFECT(20, "中度缺陷"),
        SEVERE_DEFECT(30, "重度缺陷");

        private int value;
        private String description;

        VQE_DEFECT_GRADE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static int[] getEnumValue() {
            int[] enumValue = new int[values().length];
            for (int i = 0; i < values().length; i++) {
                enumValue[i] = values()[i].value;
            }
            return enumValue;
        }

    }

    /**
     * 供应商Q评价-缺陷等级及分数-评价等级
     */
    public enum VQE_EVALUATION_GRADE {
        C(10, "C"),
        B(20, "B"),
        A(30, "A");

        private int value;
        private String description;

        VQE_EVALUATION_GRADE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 供应商Q评价-人工加减分-加减分项
     */
    public enum VQE_PLUS_MINUS_ITEM {
        ROHS_VIOLATION(10, "RoHS违反"),
        MAJOR_INCIDENT(20, "重大事件发生"),
        UNAUTHORIZED_CHANGE(30, "4M擅自变更"),
        OTHER(40, "其他");

        private int value;
        private String description;

        VQE_PLUS_MINUS_ITEM(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EXPIRE_TIME {
        NEVER(-1, "不过期"),
        ONE_HOUR(3600, "一小时"),
        HALF_HOUR(1800, "半小时"),
        ONE_QUARTER(900, "一刻钟"),
        TEN_MIN(300, "十分钟"),
        ONE_MIN(60, "一分钟");

        private int value;
        private String description;

        private EXPIRE_TIME(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * MesOrderJob 单据状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MES_ORJ_ORDER_STATUS {
        CREATE(10, "创建"),
        CHECKING(20, "点检中"),
        CHECK_COMPLETE(30, "点检完成"),
        CLOSE(40, "关闭");

        private int value;
        private String description;

        private MES_ORJ_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 指示书条码状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum STOP_SN_STATUS {
        STOP(10, "停止"),
        RELIEVED(20, "解除");

        private int value;
        private String description;

        STOP_SN_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    //邻苯是否检测
    public enum DODP_CHECK_TYPE {
        YES(10, "是"),
        NO(20, "否");

        private int value;
        private String description;

        DODP_CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //是否加严检
    public enum IS_STRICTER {
        YES(10, "是"),
        NO(20, "否");

        private int value;
        private String description;

        IS_STRICTER(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //是否确认检
    public enum IS_CONFIRM {
        YES(10, "是"),
        NO(20, "否");

        private int value;
        private String description;

        IS_CONFIRM(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * BU产品分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_PRODUCT_TYPE {
        XWJ(10, "洗碗机"),
        XZY(20, "洗澡椅"),
        ZBQ(30, "座便器"),
        SLT(40, "水龙头"),
        LYJ(50, "晾衣架"),
        JSQ(60, "净水器"),
        XCQ(70, "吸尘器"),
        DRG(80, "电饭锅"),
        RQZ(90, "燃气灶"),
        QNL(100, "取暖炉"),
        OTHERS(110, "其他");

        private int value;
        private String description;

        BU_PRODUCT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //检验类型
    public enum TEST_TYPE {
        NORMAL(10, "正常检验"),
        SPECIAL(20, "特采");

        private int value;
        private String description;

        TEST_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    //单据类型
    public enum ITEM_TYPE {
        NORMAL(10, "正常检验"),
        STRICTER(20, "加严检验"),
        CONFIRM(30, "确认检验"),
        INSPECTION_FREE(40, "加抽检验");

        private int value;
        private String description;

        ITEM_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * BU检测类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_CHECK_JUDGE_TYPE {

        RESULT_TYPE(10, "结果类型"),
        COMPARE_TYPE(20, "比值类型"),
        EQUIVALENCE_TYPE(30, "等值类型");
        private int value;
        private String description;

        BU_CHECK_JUDGE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 出货检验类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OQC_CHECK_TYPE {

        DAILY_INSPECTION(10, "日常检验"),
        TEARDOWN_INSPECTION(20, "拆机检验"),
        EMPTY_INSPECTION(30, "空洞检验");

        private int value;
        private String description;

        OQC_CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 出货检验 值类型
     */
//    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
//    public enum BU_OQC_PROJECT_VALUE_TYPE {
//
//        COMPARE_TYPE(10, "比值类型"),
//        RESULT_TYPE(20, "结果类型"),
//        EQUAL_TYPE(30, "等值类型");
//
//        private int value;
//        private String description;
//
//        BU_OQC_PROJECT_VALUE_TYPE(int value, String description) {
//            this.value = value;
//            this.description = description;
//        }
//
//        public int getValue() {
//            return value;
//        }
//
//        public String getDescription() {
//            return description;
//        }
//
//        public static String valueOfDescription(int val) {
//            String tmp = null;
//            for (int i = 0; i < values().length; i++) {
//                if (values()[i].value == val) {
//                    tmp = values()[i].description;
//                }
//            }
//            return tmp;
//        }
//
//        public static Integer descriptionOfValue(String description) {
//            Integer tmp = null;
//            for (int i = 0; i < values().length; i++) {
//                if (values()[i].description.equals(description)) {
//                    tmp = values()[i].value;
//                }
//            }
//            return tmp;
//        }
//    }

    /**
     * 物料分类1
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CATEGORY_CODE1 {

        RAW_MATERIAL("10", "原材料"),
        PARTIALLY_PREPARED_PRODUCTS("20", "半成品"),
        FINISHED_PRODUCT("30", "成品"),
        CONTAINER("40", "容器"),
        APPLIANCE("50", "器具"),
        TRADE_GOODS("60", "贸易品");



        private String value;
        private String description;

        CATEGORY_CODE1(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 物料分类2
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CATEGORY_CODE2 {
        THE_BUILT_IN_THING("10", "内置件"),
        EXPORT_COMPONENTS("20", "出口组件");



        private String value;
        private String description;

        CATEGORY_CODE2(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 物料分类3
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CATEGORY_CODE3 {
        BIK("BIK", "洗碗机"),
        EB("EB", "座便器"),
        ZJ("ZJ", "组件"),
        SK("SK", "水龙头");

        private String value;
        private String description;

        CATEGORY_CODE3(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (Objects.equals(values()[i].value, val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    //是否二次维修
    public enum WHETHER_SECONDARY_MAINTENANCE {
        NO(10, "N"),
        YES(20, "Y");

        private int value;
        private String description;

        WHETHER_SECONDARY_MAINTENANCE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }


    /**
     * BU异常场所
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_ABNORMAL_SOURCE {
        MARKET_BADNESS(10, "市场不良"),//客诉的单号
        AOG_BADNESS(20, "出货检验"),//受入
        RECEIVE_BADNESS(30, "受入检查"),//受入
        PROJECT_BADNESS(40, "工程不良");//制造

        private int value;
        private String description;

        BU_ABNORMAL_SOURCE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 过程质量巡检检测类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PROCEDURE_CHECK_RESULT {
        OK("OK", "合格"),
        NG("NG", "不合格");

        private String value;
        private String description;

        private PROCEDURE_CHECK_RESULT(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }
    /**
     * 过程质量巡检检测类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PROCEDURE_CHECK_TYPE {
        EQUALS(10, "等值类型"),
        IN(20, "比值类型"),
        MANUAL(30, "结果类型");

        private int value;
        private String description;

        private PROCEDURE_CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }
    /**
     * 管理试验监控类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MANAGEMENT_TEST_MONITORING_TYPE {
        AFFECTED(1, "受入"),
        SHIPMENT(2, "出货"),
        ODM(3, "ODM");

        private int value;
        private String description;

        private MANAGEMENT_TEST_MONITORING_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }
    /**
     * 试验类型区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum TEST_TYPE_DISTINGUISH {
        COMPANY_STANDARD(1, "企业标准"),
        WATER_EFFECT(2, "能效水效"),
        ENDURANCE(3, "耐久"),
        DEGERMING(4, "除菌"),
        MANAGEMENT_TEST(5, "管理实验"),
        CONSISTENCY_CONFIRMATION(6, "一致性确认"),
        CQC(7, "CQC"),
        CCC(8, "CCC"),
        EMC(9, "EMC");

        private int value;
        private String description;

        private TEST_TYPE_DISTINGUISH(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 报表附件类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_ATTACHMENT_TYPE {
        MANUFACTURER(1, "厂家报表附件"),
        SELF_CHECK(2, "自检报表附件");

        private int value;
        private String description;

        private REPORT_ATTACHMENT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 管理试验监控状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MANAGEMENT_TEST_MONITORING_STATUS {
        CREATE(10, "已创建"),
        CHECK(20, "已送检"),
        COMPLETE(30, "已完成");

        private int value;
        private String description;

        private MANAGEMENT_TEST_MONITORING_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    /**
     * 销售向
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum SALES_TO {
        CHINA_TO("10", "中国向"),
        JAPAN_TO("20", "日本向"),
        OTHER("30", "其他");

        private String value;
        private String description;

        private SALES_TO(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (Objects.equals(values()[i].value, val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public enum OQC_TOTAL_STATUS {
        QUALIFIED(10, "合格"),
        DEFECTED(20, "不合格"),
        UNTREATED(30, "未检验");

        private int value;
        private String description;

        OQC_TOTAL_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * ROHS 检测类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MONITOR_MANAGE_ACTION_TYPE {
        CHECK(10, "普通检查"),
        DODP_CHECK(20, "邻苯检测");

        private int value;
        private String description;

        MONITOR_MANAGE_ACTION_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * RoHS 检测结果
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QMS_MONITOR_MANAGE_CHECK_RESULT {
        QUALIFIED(10, "合格"),
        UN_QUALIFIED(20, "不合格");

        private int value;
        private String description;

        QMS_MONITOR_MANAGE_CHECK_RESULT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int value) {
            String description = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == value) {
                    description = values()[i].description;
                }
            }
            return description;
        }

    }

    /**
     * BU客诉单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_COMPLAINT_STATUS {
        CREATED(10, "创建"),
        PARSED(20, "已分析"),
        OUTSTANDING(30, "已发行"),//异常联络单创建
        PROCESSED(40, "已处理"),//异常联络单为完成
        HAS_THE_RECTIFICATION(50, "已整改"),
        CONFIRMED(60, "已确认");

        private int value;
        private String description;

        BU_COMPLAINT_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * MesWorkOrderExt 工单-条码生成状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum WORK_ORDER_SN_CREATE_STATUS {

        UN_CREATE(10, "未生成"),
        CREATED(20, "已生成"),
        NO_CREATE(30, "不生成");

        private int value;
        private String description;

        WORK_ORDER_SN_CREATE_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 工单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum WORK_ORDER_STATUS {

        CREATE(10, "创建"),
        LANDED(20, "下达"),
        OPEN(30, "启动"),
        PAUSE(40, "暂停"),
        CLOSE(60, "完成"),
        REMOVE(70, "删除");

        private int value;
        private String description;

        WORK_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum PART_CATEGORY_TYPE {
        CATEGORY_ONE("Category1", "类型1"),
        CATEGORY_TWO("Category2", "类型2"),
        CATEGORY_THREE("Category3", "类型3");

        private String value;
        private String description;

        private PART_CATEGORY_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (val.equals(values()[i].value)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 同步WMS质检业务状态枚举
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QC_INFO_STATUS_EXT {
        CREATE(10, "新建"),
        FINISH(20, "处理中"),
        FAIL(30, "已完成"),
        CLOSE(40, "已关闭"),
        CANCEL(50, "已取消"),
        REJECT(60, "全部退货"),
        SPECIAL(70, "全部特采");

        private int value;
        private String description;

        QC_INFO_STATUS_EXT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

    }

    /**
     * 产线类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum LINE_TYPE {

        ONTOLOGY_LINE("10", "本体线"),
        COMPONENT_LINE("20", "组件线");

        private String value;
        private String description;

        LINE_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 要or不要
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum NEED_OR_NO {

        NEED(10, "要"),
        NO_NEED(20, "不要");

        private int value;
        private String description;

        NEED_OR_NO(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 要or不要
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ABCD {

        A(10, "A"),
        B(20, "B"),
        C(30, "C"),
        D(40, "D");

        private int value;
        private String description;

        ABCD(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 10-待检中,20-检查中，30-同批次应用
     * BU单据状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_QC_INFO_STATUS {
        CREATE(10, "待检中"),
        HANDLEING(20, "检验中"),
        FINISH(30, "完成"),
        SECOND_JUDGMENT(80, "二次判定");


        private int value;
        private String description;

        BU_QC_INFO_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static BU_QC_INFO_STATUS codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 检查区分
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum BU_PART_CHECK_TYPE {
        INSPECTION_FREE(10, "加抽检"),
        NORMAL_INSPECTION(20, "正常检验");

        private int value;
        private String description;

        BU_PART_CHECK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static BU_PART_CHECK_TYPE codeOf(int value) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == value) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String description) {
            int tmp = 0;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
    /**
     * Q评价异常联络单回复分类
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum VQE_ABNORMAL_CLASSIFY {
        QUALITY_TECHNOLOGY(10, "品质技术层原因");

        private int value;
        private String description;

        VQE_ABNORMAL_CLASSIFY(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 时间单位
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum HOURLY_BASIS {
        //Year, month, day, time, minute, second
        Year(10, "年"),
        month(20, "月"),
        day(30, "日"),
        time(40, "时"),
        minute(50, "分"),
        second(60, "秒");

        private int value;
        private String description;

        HOURLY_BASIS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 区分部品和ODM
     */
    public enum SX_QMS_RC_RULE_NOTE_MODULE {
        COMPONENT(10, "零部件校验规格书(部品受入检验)"),
        ODM(20, "零部件校验规格书(ODM受入检验)");

        private int value;
        private String description;

        private SX_QMS_RC_RULE_NOTE_MODULE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 文件业务类型
     */
    public enum SX_QMS_RC_RULE_NOTE_PAGE {
        COMPONENT(10, "零部件受检项目页面"),
        INSPECTION_WORK(20, "检验作业页面");

        private int value;
        private String description;

        private SX_QMS_RC_RULE_NOTE_PAGE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 是否重复扫描
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum IS_EXISTS {
        YES(10, "YES"),
        NO(20, "NO");

        private int value;
        private String description;

        private IS_EXISTS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static int descriptionOfValue(String desc) {
            return descOf(desc);
        }
    }

    /**
     * MesProductEncodeCfg 编码匹配类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ENCODE_MATCH_TYPE {

        ORGANIZATION(10, "工厂"),
        PART(20, "物料"),
        WORK_CENTER(30, "生产线"),
        PPT_CODE(40, "产品生产类型"),
        CATEGORY_CODE1(50, "分类1"),
        CATEGORY_CODE2(60, "分类2"),
        CATEGORY_CODE3(70, "分类3");

        private int value;
        private String description;

        ENCODE_MATCH_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static ENCODE_MATCH_TYPE getByValue(int value) {
            for (ENCODE_MATCH_TYPE matchType : values()) {
                if (matchType.getValue() == value) {
                    return matchType;
                }
            }
            return null;
        }
    }

    /**
     * MesProductEncodeCfg 编码类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ENCODE_CODE_TYPE {

        STANDARD_SERIAL_SN(10, "正常产品条码"),
        ATTEMPT_SERIAL_SN(20, "试制产品条码"),
        REWORK_SERIAL_SN(30, "再生产品条码"),
        PACK_SN(40, "包装条码");

        private int value;
        private String description;

        ENCODE_CODE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

        public static ENCODE_CODE_TYPE getByValue(int value) {
            for (ENCODE_CODE_TYPE codeType : values()) {
                if (codeType.getValue() == value) {
                    return codeType;
                }
            }
            return null;
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum SOURCE_TYPE {

        QMS(10, "QMS"),
        SWEB(20, "SWEB");
        private int value;
        private String description;

        SOURCE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }


    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public static enum QC_SN_STATUS {
        NG(20, "不合格"),
        OK(30, "合格"),
        REBACK(40, "退货"),
        XUANBIE(50, "选别"),
        FIX(60, "修正"),
        SPECIAL(70, "特采");
        private int value;
        private String description;

        private QC_SN_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for(int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }
    }

    /**
     * 出货停止指示书再检方式
     */
    public enum STOP_TYPE {
        SHIP_STOP(10, "出货停止"),
        LIBRARY_LOCK(20, "立库锁定");

        private int value;
        private String description;

        STOP_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;
            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }

    }

    /**
     * 项目类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PROJECT_CODE {
        s005(40, "s005", "管理试验"),
        s004(30, "s004", "性能"),
        s003(50, "s003", "组装确认"),
        s002(20, "s002", "尺寸"),
        s001(10, "s001", "外观");
        private int value;
        private String code;
        private String description;

        PROJECT_CODE(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getCode(){return code;}

        public String getDescription() {
            return description;
        }

        public static PROJECT_CODE codeOf(String code) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].code.equalsIgnoreCase(code)) {
                    return values()[i];
                }
            }
            return null;
        }

        public static String valueOfDescription(int val) {
            return valueOf(val);
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
}
