package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;
import lombok.Setter;

/**
 * 健康度指标变量
 */
@Getter
public class WmsHealthIndexVariableId {

	/**
	 * 持久层标识ID
	 */
	@Getter
	@Setter
	private Long pk;
    /**
     * 工厂代码
     */
    private final String organizeCode;
    /**
     * 指标变量代码
     */
    private final String variable;


    public WmsHealthIndexVariableId(final String organizeCode,final String variable){
        if(null == organizeCode){
            throw new IllegalArgumentException("organizeCode can't be null");
        }
        if(null == variable){
            throw new IllegalArgumentException("variable can't be null");
        }
        this.organizeCode = organizeCode;
        this.variable = variable;
    }


}
