package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;
import lombok.Value;

/**
 * 健康度变量计算结果
 */
@Getter
public class WmsHealthIndexVariableValue {

    /**
     * 指标变量代码值
     */
    private final Double value;

    /**
     * 详细信息
     */
    private final Object detail;


    public WmsHealthIndexVariableValue(final Double value,final Object detail){
        if(null==value){
            throw new IllegalArgumentException("value can't be null");
        }
        if(null==detail){
            throw new IllegalArgumentException("detail can't be null");
        }
        this.value = value;
        this.detail = detail;
    }


    public static WmsHealthIndexVariableValue empty(){
        return new WmsHealthIndexVariableValue(-1.0,"");
    }
}
