package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2022/3/29 14:37
 * @Modify:
 **/
@ApiModel(value = "统一对账单")
@Data
public class WmsAccountDto {
    @ApiModelProperty(value = "零件名称")
    private String partName;
    @ApiModelProperty(value = "仓库名称")
    private String warehouseName;
    @ApiModelProperty(value = "区域名称")
    private String zonesName;

    private BigDecimal wmsInitStockNum;

    private BigDecimal sapInitStockNum;

    private BigDecimal wmsAvailableNum;

    private BigDecimal wmsCogi;

    private BigDecimal sapAvailableNum;

    private BigDecimal sapCogi;

    private BigDecimal difference;

}
