package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2022/4/13 21:24
 * @Modify:
 **/
@Data
@ApiModel(value = "对账单明细汇总页面入参")
public class DetailSumModel {
    @ApiModelProperty(value = "物料号")
    public String partNo;
    @ApiModelProperty(value = "仓库号")
    public String whNo;
    @ApiModelProperty(value = "库存地")
    public String whArea;
    @ApiModelProperty(value = "差异值")
    public Double differenceCount;
    @ApiModelProperty(value = "业务类型代码")
    public String transTypeCode;
    @ApiModelProperty(value = "单号")
    public String oderNo;
    @ApiModelProperty(value = "单据状态")
    public String orderStatus;
    @ApiModelProperty(value = "来源存储区")
    public String srcStoreArea;
    @ApiModelProperty(value = "目标存储区")
    public String targetStoreArea;
    @ApiModelProperty(value = "开始操作时间")
    public String startOperationTime;
    @ApiModelProperty(value = "结束操作时间")
    public String endOperationTime;
    @ApiModelProperty(value = "开始创建时间")
    public String startCreateTime;
    @ApiModelProperty(value = "结束创建时间")
    public String endCreateTime;
}
